CREATE TABLE Site (createdOn TIMESTAMP, drivingDirections VARCHAR (32000), id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn TIMESTAMP, name VARCHAR (150), postcode INTEGER, publicTransportDirections VARCHAR (32000), specialInstructions VARCHAR (32000), street VARCHAR (32000), suburb VARCHAR (50), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Message (createdOn TIMESTAMP, emailBody VARCHAR (32000), emailSubject VARCHAR (500), id BIGINT NOT NULL, modifiedOn TIMESTAMP, smsText VARCHAR (160), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Room (createdOn TIMESTAMP, directions VARCHAR (32000), facilities VARCHAR (32000), id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn TIMESTAMP, name VARCHAR (500), seatedCapacity INTEGER, siteId BIGINT, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE PromotionalCode (code VARCHAR (20) NOT NULL, createdOn TIMESTAMP NOT NULL, discountDollar DECIMAL (10, 2), discountPercent DECIMAL (6, 2), expiresOn DATE, id BIGINT NOT NULL, modifiedOn TIMESTAMP, publicDescription VARCHAR (32000), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE MessageTemplate (createdOn TIMESTAMP, id BIGINT NOT NULL, message VARCHAR (32000), modifiedOn TIMESTAMP, name VARCHAR (40), subject VARCHAR (500), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Account (accountCode VARCHAR (40) NOT NULL, createdOn TIMESTAMP NOT NULL, currentBalance DECIMAL (10, 2) NOT NULL, description VARCHAR (500) NOT NULL, id BIGINT NOT NULL, isEnabled SMALLINT NOT NULL, modifiedOn TIMESTAMP NOT NULL, openingBalance DECIMAL (10, 2) NOT NULL, parentAccountId BIGINT, type INTEGER NOT NULL, PRIMARY KEY (id))
CREATE TABLE SystemUser (createdOn TIMESTAMP, firstName VARCHAR (100), id BIGINT NOT NULL, lastLoginOn TIMESTAMP, login VARCHAR (20), modifiedOn TIMESTAMP, password VARCHAR (16), surname VARCHAR (100), PRIMARY KEY (id))
CREATE TABLE TrainingPackage (copyrightCategory VARCHAR (50), copyrightContact VARCHAR (50), createdOn TIMESTAMP, developer VARCHAR (50), endorsementFrom TIMESTAMP, endorsementTo TIMESTAMP, id BIGINT NOT NULL, modifiedOn TIMESTAMP, nationalISC VARCHAR (50), purchaseFrom VARCHAR (100), title VARCHAR (255), type VARCHAR (20), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Tutor (birthDate TIMESTAMP, companyName VARCHAR (500), createdOn TIMESTAMP, dateFinished TIMESTAMP, dateStarted TIMESTAMP, email VARCHAR (100), fax VARCHAR (20), firstName VARCHAR (100), homePhone VARCHAR (20), id BIGINT NOT NULL, isDeleted SMALLINT, isMale SMALLINT, mobilePhone VARCHAR (20), modifiedOn TIMESTAMP, notes VARCHAR (32000), password VARCHAR (16), postCode VARCHAR (10), resume VARCHAR (32000), state VARCHAR (3), street VARCHAR (1000), suburb VARCHAR (50), surname VARCHAR (100), tfn BIGINT, willowId BIGINT, workPhone VARCHAR (12), PRIMARY KEY (id))
CREATE TABLE QueuedRecord (createdOn TIMESTAMP, foreignRecordId BIGINT, id BIGINT NOT NULL, lastAttemptOn DATE, modifiedOn TIMESTAMP, numberOfAttempts INTEGER, tableName VARCHAR (40), PRIMARY KEY (id))
CREATE TABLE AccountTransaction (accountId BIGINT NOT NULL, amount DECIMAL (10, 2) NOT NULL, createdOn TIMESTAMP NOT NULL, foreignRecordId BIGINT NOT NULL, id BIGINT NOT NULL, modifiedOn TIMESTAMP NOT NULL, tableName VARCHAR (50) NOT NULL, PRIMARY KEY (id))
CREATE TABLE Tax (createdOn TIMESTAMP NOT NULL, description VARCHAR (500), id BIGINT NOT NULL, isGSTTaxType SMALLINT NOT NULL, modifiedOn TIMESTAMP NOT NULL, payableToSupplierAccountId BIGINT NOT NULL, rate DECIMAL (6, 2) NOT NULL, receivableFromStudentAccountId BIGINT NOT NULL, taxCode VARCHAR (10) NOT NULL, PRIMARY KEY (id))
CREATE TABLE Language (absCode VARCHAR (10), createdOn TIMESTAMP, id BIGINT NOT NULL, isActive SMALLINT NOT NULL, modifiedOn TIMESTAMP, name VARCHAR (50) NOT NULL, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Category (createdOn TIMESTAMP, detail VARCHAR (50), id BIGINT NOT NULL, isDeleted SMALLINT, isShownOnWeb SMALLINT, modifiedOn TIMESTAMP, name VARCHAR (50), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Country (createdOn TIMESTAMP, id BIGINT NOT NULL, isoCodeAlpha3 VARCHAR (3), isoCodeNumeric INTEGER, modifiedOn TIMESTAMP, name VARCHAR (50), saccCode INTEGER, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Preference (createdOn TIMESTAMP, id BIGINT NOT NULL, is_global SMALLINT, modifiedOn TIMESTAMP, name VARCHAR (1000), userId BIGINT, value BLOB (32000), PRIMARY KEY (id))
CREATE TABLE SubCategory (categoryId BIGINT, createdOn TIMESTAMP, detail VARCHAR (32000), id BIGINT NOT NULL, isDeleted SMALLINT, isShownOnWeb SMALLINT, modifiedOn TIMESTAMP, name VARCHAR (500), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Qualification (ANZSIC VARCHAR (50), ASCO VARCHAR (50), createdOn TIMESTAMP, fieldOfEducation VARCHAR (4), fieldOfStudy VARCHAR (4), id BIGINT NOT NULL, isAccreditedCourse SMALLINT, isOffered SMALLINT, level VARCHAR (255), modifiedOn TIMESTAMP, nationalCode VARCHAR (12), newApprenticeship VARCHAR (50), nominalHours REAL, reviewDate DATE, title VARCHAR (255), trainingPackageId BIGINT, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Course (code VARCHAR (50), createdOn TIMESTAMP, id BIGINT NOT NULL, isDeleted SMALLINT, isShownOnWeb SMALLINT, isVET SMALLINT, modifiedOn TIMESTAMP, name VARCHAR (500), qualificationId BIGINT, webDescription VARCHAR (32000), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Module (createdOn TIMESTAMP, defaultQualificationId BIGINT, disciplineCode VARCHAR (8), fieldOfEducation VARCHAR (6), id BIGINT NOT NULL, isModule SMALLINT, isOffered SMALLINT, modifiedOn TIMESTAMP, nationalCode VARCHAR (12), title VARCHAR (255), trainingPackageId BIGINT, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Student (birthDate TIMESTAMP, concessionNumber VARCHAR (20), concessionType INTEGER, countryOfBirthId BIGINT, createdOn TIMESTAMP, disabilityType INTEGER, email VARCHAR (500), employmentCategoryId INTEGER, englishProficiency INTEGER, fax VARCHAR (20), firstName VARCHAR (100), highestSchoolLevel INTEGER, homePhone VARCHAR (20), id BIGINT NOT NULL, indigenousStatus INTEGER, isDeleted SMALLINT, isMale SMALLINT, isOverseasClient SMALLINT, isStillAtSchool SMALLINT, languageId BIGINT, message VARCHAR (50), mobilePhone VARCHAR (20), modifiedOn TIMESTAMP, notes VARCHAR (32000), postCode VARCHAR (10), priorEducationCode INTEGER, specialNeeds VARCHAR (32000), state VARCHAR (3), street VARCHAR (1000), suburb VARCHAR (50), surname VARCHAR (100), webPassword VARCHAR (16), willowId BIGINT, workPhone VARCHAR (20), yearSchoolCompleted INTEGER, PRIMARY KEY (id))
CREATE TABLE CourseClass (code VARCHAR (50), courseId BIGINT, createdOn TIMESTAMP, dayOfWeekDescription VARCHAR (100), endDateTime TIMESTAMP, feeExGst DECIMAL (10, 2), id BIGINT NOT NULL, incomeAccountId BIGINT, isCancelled SMALLINT, isDeleted SMALLINT, isDistantLearningCourse SMALLINT, isShownOnWeb SMALLINT, materials VARCHAR (32000), maximumPlaces INTEGER, minimumPlaces INTEGER, minutesPerSession INTEGER, modifiedOn TIMESTAMP, notes VARCHAR (32000), roomId BIGINT, sessionCount INTEGER, startDateTime TIMESTAMP, taxId BIGINT, tutorConfirmed SMALLINT, tutorConfirmedDate TIMESTAMP, tutorId BIGINT, webAllocation INTEGER, webDescription VARCHAR (32000), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Subcategory_Course (courseId BIGINT NOT NULL, createdOn TIMESTAMP, modifiedOn TIMESTAMP, subcategoryId BIGINT NOT NULL, PRIMARY KEY (courseId, subcategoryId))
CREATE TABLE Message_Person (attemptCount INTEGER, destinationAddress VARCHAR (500), id BIGINT NOT NULL, messageId BIGINT, response VARCHAR (500), sentOn TIMESTAMP, status INTEGER, studentId BIGINT, tutorId BIGINT, type INTEGER, PRIMARY KEY (id))
CREATE TABLE Session (courseClass_Id BIGINT, createdOn TIMESTAMP, endDatetime TIMESTAMP, id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn TIMESTAMP, roomId BIGINT, startDatetime TIMESTAMP, tutorId BIGINT, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Module_Course (courseId BIGINT NOT NULL, createdOn TIMESTAMP, modifiedOn TIMESTAMP, moduleId BIGINT NOT NULL, PRIMARY KEY (courseId, moduleId))
CREATE TABLE PriorLearning (createdOn TIMESTAMP, id BIGINT NOT NULL, modifiedOn TIMESTAMP, notes VARCHAR (32000), studentId BIGINT, PRIMARY KEY (id))
CREATE TABLE Invoice (amoutOwing DECIMAL (10, 2) NOT NULL, billToAddress VARCHAR (32000), createdByUserId BIGINT, createdOn TIMESTAMP NOT NULL, customerPO VARCHAR (500), dateDue DATE NOT NULL, debtorsAccountId BIGINT NOT NULL, description VARCHAR (32000), id BIGINT NOT NULL, invoiceDate DATE NOT NULL, invoiceNumber BIGINT NOT NULL, modifiedOn TIMESTAMP NOT NULL, privateNotes VARCHAR (32000), publicNotes VARCHAR (32000), shippingAddress VARCHAR (32000), studentId BIGINT NOT NULL, PRIMARY KEY (id))
CREATE TABLE WaitingList (courseId BIGINT, createdOn TIMESTAMP, id BIGINT NOT NULL, modifiedOn TIMESTAMP, notes VARCHAR (32000), studentId BIGINT, PRIMARY KEY (id))
CREATE TABLE PaymentIn (accountInId BIGINT NOT NULL, amount DECIMAL (10, 2) NOT NULL, chequeBank VARCHAR (100), chequeBranch VARCHAR (100), chequeDrawer VARCHAR (100), createdOn TIMESTAMP NOT NULL, creditCardCVV VARCHAR (4), creditCardExpiry VARCHAR (10), creditCardName VARCHAR (40), creditCardNumber VARCHAR (20), creditCardType VARCHAR (5), dateBanked DATE, gatewayReference VARCHAR (40), id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn TIMESTAMP NOT NULL, privateNotes VARCHAR (32000), reconciled INTEGER NOT NULL, status INTEGER, studentId BIGINT, type BIGINT NOT NULL, PRIMARY KEY (id))
CREATE TABLE PromotionalCode_CourseClass (courseClassId BIGINT NOT NULL, createdOn TIMESTAMP NOT NULL, endDate DATE, modifiedOn TIMESTAMP NOT NULL, promotionalCodeId BIGINT NOT NULL, scheduledHours INTEGER, startDate DATE, PRIMARY KEY (courseClassId, promotionalCodeId))
CREATE TABLE PaymentInLine (accountOutId BIGINT NOT NULL, amount DECIMAL (10, 2) NOT NULL, createdOn TIMESTAMP NOT NULL, id BIGINT NOT NULL, invoiceId BIGINT NOT NULL, modifiedOn TIMESTAMP NOT NULL, paymentInId BIGINT NOT NULL, PRIMARY KEY (id))
CREATE TABLE Enrolment (courseClass_Id BIGINT NOT NULL, createdOn TIMESTAMP, id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn TIMESTAMP, source CHAR (1), status INTEGER, studentId BIGINT NOT NULL, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Outcome (createdOn TIMESTAMP, endDate DATE, enrolmentId BIGINT, id BIGINT NOT NULL, modifiedOn TIMESTAMP, moduleId BIGINT, priorLearningId BIGINT, scheduledHours INTEGER, startDate DATE, status INTEGER, PRIMARY KEY (id))
CREATE TABLE InvoiceLine (accountId BIGINT NOT NULL, createdOn TIMESTAMP NOT NULL, description VARCHAR (32000), discountEachexTax DECIMAL (10, 2) NOT NULL, enrolmentId BIGINT, id BIGINT NOT NULL, invoiceId BIGINT NOT NULL, modifiedOn TIMESTAMP NOT NULL, priceEachexTax DECIMAL (10, 2) NOT NULL, quantity DECIMAL (10, 2) NOT NULL, sortOrder INTEGER, taxEach DECIMAL (10, 2) NOT NULL, taxId BIGINT NOT NULL, title VARCHAR (200) NOT NULL, unit VARCHAR (50), PRIMARY KEY (id))

ALTER TABLE Room ADD FOREIGN KEY (siteId) REFERENCES Site (id)
ALTER TABLE Account ADD FOREIGN KEY (parentAccountId) REFERENCES Account (id)
ALTER TABLE AccountTransaction ADD FOREIGN KEY (accountId) REFERENCES Account (id)
ALTER TABLE Tax ADD FOREIGN KEY (payableToSupplierAccountId) REFERENCES Account (id)
ALTER TABLE Tax ADD FOREIGN KEY (receivableFromStudentAccountId) REFERENCES Account (id)
ALTER TABLE Preference ADD FOREIGN KEY (userId) REFERENCES SystemUser (id)
ALTER TABLE SubCategory ADD FOREIGN KEY (categoryId) REFERENCES Category (id)
ALTER TABLE Qualification ADD FOREIGN KEY (trainingPackageId) REFERENCES TrainingPackage (id)
ALTER TABLE Course ADD FOREIGN KEY (qualificationId) REFERENCES Qualification (id)
ALTER TABLE Module ADD FOREIGN KEY (defaultQualificationId) REFERENCES Qualification (id)
ALTER TABLE Module ADD FOREIGN KEY (trainingPackageId) REFERENCES TrainingPackage (id)
ALTER TABLE Student ADD FOREIGN KEY (countryOfBirthId) REFERENCES Country (id)
ALTER TABLE Student ADD FOREIGN KEY (languageId) REFERENCES Language (id)
ALTER TABLE CourseClass ADD FOREIGN KEY (courseId) REFERENCES Course (id)
ALTER TABLE CourseClass ADD FOREIGN KEY (incomeAccountId) REFERENCES Account (id)
ALTER TABLE CourseClass ADD FOREIGN KEY (roomId) REFERENCES Room (id)
ALTER TABLE CourseClass ADD FOREIGN KEY (taxId) REFERENCES Tax (id)
ALTER TABLE CourseClass ADD FOREIGN KEY (tutorId) REFERENCES Tutor (id)
ALTER TABLE Subcategory_Course ADD FOREIGN KEY (courseId) REFERENCES Course (id)
ALTER TABLE Subcategory_Course ADD FOREIGN KEY (subcategoryId) REFERENCES SubCategory (id)
ALTER TABLE Message_Person ADD FOREIGN KEY (messageId) REFERENCES Message (id)
ALTER TABLE Message_Person ADD FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE Message_Person ADD FOREIGN KEY (tutorId) REFERENCES Tutor (id)
ALTER TABLE Session ADD FOREIGN KEY (courseClass_Id) REFERENCES CourseClass (id)
ALTER TABLE Session ADD FOREIGN KEY (roomId) REFERENCES Room (id)
ALTER TABLE Session ADD FOREIGN KEY (tutorId) REFERENCES Tutor (id)
ALTER TABLE Module_Course ADD FOREIGN KEY (courseId) REFERENCES Course (id)
ALTER TABLE Module_Course ADD FOREIGN KEY (moduleId) REFERENCES Module (id)
ALTER TABLE PriorLearning ADD FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE Invoice ADD FOREIGN KEY (createdByUserId) REFERENCES SystemUser (id)
ALTER TABLE Invoice ADD FOREIGN KEY (debtorsAccountId) REFERENCES Account (id)
ALTER TABLE Invoice ADD FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE WaitingList ADD FOREIGN KEY (courseId) REFERENCES Course (id)
ALTER TABLE WaitingList ADD FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE PaymentIn ADD FOREIGN KEY (accountInId) REFERENCES Account (id)
ALTER TABLE PaymentIn ADD FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE PromotionalCode_CourseClass ADD FOREIGN KEY (courseClassId) REFERENCES CourseClass (id)
ALTER TABLE PromotionalCode_CourseClass ADD FOREIGN KEY (promotionalCodeId) REFERENCES PromotionalCode (id)
ALTER TABLE PaymentInLine ADD FOREIGN KEY (accountOutId) REFERENCES Account (id)
ALTER TABLE PaymentInLine ADD FOREIGN KEY (invoiceId) REFERENCES Invoice (id)
ALTER TABLE PaymentInLine ADD FOREIGN KEY (paymentInId) REFERENCES PaymentIn (id)
ALTER TABLE Enrolment ADD FOREIGN KEY (courseClass_Id) REFERENCES CourseClass (id)
ALTER TABLE Enrolment ADD FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE Outcome ADD FOREIGN KEY (enrolmentId) REFERENCES Enrolment (id)
ALTER TABLE Outcome ADD FOREIGN KEY (moduleId) REFERENCES Module (id)
ALTER TABLE Outcome ADD FOREIGN KEY (priorLearningId) REFERENCES PriorLearning (id)
ALTER TABLE InvoiceLine ADD FOREIGN KEY (accountId) REFERENCES Account (id)
ALTER TABLE InvoiceLine ADD FOREIGN KEY (enrolmentId) REFERENCES Enrolment (id)
ALTER TABLE InvoiceLine ADD FOREIGN KEY (invoiceId) REFERENCES Invoice (id)
ALTER TABLE InvoiceLine ADD FOREIGN KEY (taxId) REFERENCES Tax (id)

CREATE TABLE AUTO_PK_SUPPORT (  TABLE_NAME CHAR(100) NOT NULL,  NEXT_ID INTEGER NOT NULL,  PRIMARY KEY(TABLE_NAME))

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Account', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('AccountTransaction', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Category', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Country', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Course', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('CourseClass', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Enrolment', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Invoice', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('InvoiceLine', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Language', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Message', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('MessageTemplate', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Message_Person', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Module', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Outcome', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PaymentIn', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PaymentInLine', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Preference', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PriorLearning', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PromotionalCode', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Qualification', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('QueuedRecord', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Room', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Session', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Site', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Student', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('SubCategory', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('SystemUser', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Tax', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('TrainingPackage', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Tutor', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('WaitingList', 200)
