CREATE INDEX Account_isEnabled on Account(isEnabled)
CREATE INDEX Account_parentAccountId on Account(parentAccountId)

CREATE INDEX AccountTransaction_accountId on AccountTransaction(accountId)
CREATE INDEX AccountTransaction_tableName on AccountTransaction(tableName)
CREATE INDEX AccountTransaction_foreignRecordId on AccountTransaction(foreignRecordId)

CREATE INDEX Category_isDeleted on Category(isDeleted)
CREATE INDEX Category_isShownOnWeb on Category(isShownOnWeb)
CREATE INDEX Category_willowId on Category(willowId)
CREATE INDEX Category_name on Category(name)

CREATE INDEX Country_isoCodeAlpha3 on Country(isoCodeAlpha3)
CREATE INDEX Country_isoCodeNumeric on Country(isoCodeNumeric)
CREATE INDEX Country_name on Country(name)
CREATE INDEX Country_saccCode on Country(saccCode)

CREATE INDEX Course_code on Course(code)
CREATE INDEX Course_isDeleted on Course(isDeleted)
CREATE INDEX Course_isShownOnWeb on Course(isShownOnWeb)
CREATE INDEX Course_isVET on Course(isVET)
CREATE INDEX Course_name on Course(name)
CREATE INDEX Course_qualificationId on Course(qualificationId)
CREATE INDEX Course_willowId on Course(willowId)

CREATE INDEX CourseClass_code on CourseClass(code)
CREATE INDEX CourseClass_courseId on CourseClass(courseId)
CREATE INDEX CourseClass_endDateTime on CourseClass(endDateTime)
CREATE INDEX CourseClass_isCancelled on CourseClass(isCancelled)
CREATE INDEX CourseClass_isDeleted on CourseClass(isDeleted)
CREATE INDEX CourseClass_isDistantLearningCourse on CourseClass(isDistantLearningCourse)
CREATE INDEX CourseClass_isShownOnWeb on CourseClass(isShownOnWeb)
CREATE INDEX CourseClass_roomId on CourseClass(roomId)
CREATE INDEX CourseClass_startDateTime on CourseClass(startDateTime)
CREATE INDEX CourseClass_tutorConfirmed on CourseClass(tutorConfirmed)
CREATE INDEX CourseClass_tutorId on CourseClass(tutorId)
CREATE INDEX CourseClass_willowId on CourseClass(willowId)

CREATE INDEX Enrolment_courseClass_Id on Enrolment(courseClass_Id)
CREATE INDEX Enrolment_isDeleted on Enrolment(isDeleted)
CREATE INDEX Enrolment_status on Enrolment(status)
CREATE INDEX Enrolment_studentId on Enrolment(studentId)
CREATE INDEX Enrolment_willowId on Enrolment(willowId)

CREATE INDEX Invoice_amoutOwing on Invoice(amoutOwing)
CREATE INDEX Invoice_createdByUserId on Invoice(createdByUserId)
CREATE INDEX Invoice_customerPO on Invoice(customerPO)
CREATE INDEX Invoice_dateDue on Invoice(dateDue)
CREATE INDEX Invoice_debtorsAccountId on Invoice(debtorsAccountId)
CREATE INDEX Invoice_invoiceDate on Invoice(invoiceDate)
CREATE INDEX Invoice_invoiceNumber on Invoice(invoiceNumber)
CREATE INDEX Invoice_studentId on Invoice(studentId)

CREATE INDEX InvoiceLine_accountId on InvoiceLine(accountId)
CREATE INDEX InvoiceLine_enrolmentId on InvoiceLine(enrolmentId)
CREATE INDEX InvoiceLine_invoiceId on InvoiceLine(invoiceId)
CREATE INDEX InvoiceLine_sortOrder on InvoiceLine(sortOrder)
CREATE INDEX InvoiceLine_taxId on InvoiceLine(taxId)

CREATE INDEX Language_absCode on Language(absCode)
CREATE INDEX Language_isActive on Language(isActive)
CREATE INDEX Language_name on Language(name)

CREATE INDEX MessageTemplate_name on MessageTemplate(name)

CREATE INDEX Module_defaultQualificationId on Module(defaultQualificationId)
CREATE INDEX Module_isModule on Module(isModule)
CREATE INDEX Module_isOffered on Module(isOffered)
CREATE INDEX Module_title on Module(title)
CREATE INDEX Module_nationalCode on Module(nationalCode)
CREATE INDEX Module_willowId on Module(willowId)

CREATE INDEX Outcome_enrolmentId on Outcome(enrolmentId)
CREATE INDEX Outcome_moduleId on Outcome(moduleId)
CREATE INDEX Outcome_priorLearningId on Outcome(priorLearningId)
CREATE INDEX Outcome_status on Outcome(status)

CREATE INDEX PaymentIn_accountInId on PaymentIn(accountInId)
CREATE INDEX PaymentIn_chequeBank on PaymentIn(chequeBank)
CREATE INDEX PaymentIn_dateBanked on PaymentIn(dateBanked)
CREATE INDEX PaymentIn_gatewayReference on PaymentIn(gatewayReference)
CREATE INDEX PaymentIn_isDeleted on PaymentIn(isDeleted)
CREATE INDEX PaymentIn_reconciled on PaymentIn(reconciled)
CREATE INDEX PaymentIn_status on PaymentIn(status)
CREATE INDEX PaymentIn_studentId on PaymentIn(studentId)
CREATE INDEX PaymentIn_type on PaymentIn(type)

CREATE INDEX PaymentInLine_accountOutId on PaymentInLine(accountOutId)
CREATE INDEX PaymentInLine_invoiceId on PaymentInLine(invoiceId)
CREATE INDEX PaymentInLine_paymentInId on PaymentInLine(paymentInId)

CREATE INDEX Preference_is_global on Preference(is_global)
CREATE INDEX Preference_name on Preference(name)
CREATE INDEX Preference_userId on Preference(userId)

CREATE INDEX PriorLearning_studentId on PriorLearning(studentId)

CREATE INDEX PromotionalCode_code on PromotionalCode(code)
CREATE INDEX PromotionalCode_expiresOn on PromotionalCode(expiresOn)
CREATE INDEX PromotionalCode_willowId on PromotionalCode(willowId)

CREATE INDEX Qualification_ANZSIC on Qualification(ANZSIC)
CREATE INDEX Qualification_ASCO on Qualification(ASCO)
CREATE INDEX Qualification_isAccreditedCourse on Qualification(isAccreditedCourse)
CREATE INDEX Qualification_isOffered on Qualification(isOffered)
CREATE INDEX Qualification_trainingPackageId on Qualification(trainingPackageId)
CREATE INDEX Qualification_willowId on Qualification(willowId)

CREATE INDEX QueuedRecord_createdOn on QueuedRecord(createdOn)
CREATE INDEX QueuedRecord_foreignRecordId on QueuedRecord(foreignRecordId)
CREATE INDEX QueuedRecord_lastAttemptOn on QueuedRecord(lastAttemptOn)
CREATE INDEX QueuedRecord_modifiedOn on QueuedRecord(modifiedOn)
CREATE INDEX QueuedRecord_numberOfAttempts on QueuedRecord(numberOfAttempts)
CREATE INDEX QueuedRecord_tableName on QueuedRecord(tableName)

CREATE INDEX Room_isDeleted on Room(isDeleted)
CREATE INDEX Room_name on Room(name)
CREATE INDEX Room_siteId on Room(siteId)
CREATE INDEX Room_willowId on Room(willowId)

CREATE INDEX Session_courseClass_Id on Session(courseClass_Id)
CREATE INDEX Session_endDatetime on Session(endDatetime)
CREATE INDEX Session_isDeleted on Session(isDeleted)
CREATE INDEX Session_roomId on Session(roomId)
CREATE INDEX Session_startDatetime on Session(startDatetime)
CREATE INDEX Session_tutorId on Session(tutorId)
CREATE INDEX Session_willowId on Session(willowId)

CREATE INDEX Site_isDeleted on Site(isDeleted)
CREATE INDEX Site_name on Site(name)
CREATE INDEX Site_postcode on Site(postcode)
CREATE INDEX Site_suburb on Site(suburb)
CREATE INDEX Site_willowId on Site(willowId)

CREATE INDEX Student_birthDate on Student(birthDate)
CREATE INDEX Student_concessionNumber on Student(concessionNumber)
CREATE INDEX Student_concessionType on Student(concessionType)
CREATE INDEX Student_countryOfBirthId on Student(countryOfBirthId)
CREATE INDEX Student_disabilityType on Student(disabilityType)
CREATE INDEX Student_email on Student(email)
CREATE INDEX Student_employmentCategoryId on Student(employmentCategoryId)
CREATE INDEX Student_firstName on Student(firstName)
CREATE INDEX Student_indigenousStatus on Student(indigenousStatus)
CREATE INDEX Student_isDeleted on Student(isDeleted)
CREATE INDEX Student_isMale on Student(isMale)
CREATE INDEX Student_isOverseasClient on Student(isOverseasClient)
CREATE INDEX Student_isStillAtSchool on Student(isStillAtSchool)
CREATE INDEX Student_languageId on Student(languageId)
CREATE INDEX Student_postCode on Student(postCode)
CREATE INDEX Student_state on Student(state)
CREATE INDEX Student_street on Student(street)
CREATE INDEX Student_suburb on Student(suburb)
CREATE INDEX Student_surname on Student(surname)
CREATE INDEX Student_willowId on Student(willowId)

CREATE INDEX SubCategory_categoryId on SubCategory(categoryId)
CREATE INDEX SubCategory_isDeleted on SubCategory(isDeleted)
CREATE INDEX SubCategory_isShownOnWeb on SubCategory(isShownOnWeb)
CREATE INDEX SubCategory_name on SubCategory(name)
CREATE INDEX SubCategory_willowId on SubCategory(willowId)

CREATE INDEX SystemUser_firstName on SystemUser(firstName)
CREATE INDEX SystemUser_login on SystemUser(login)
CREATE INDEX SystemUser_password on SystemUser(password)
CREATE INDEX SystemUser_surname on SystemUser(surname)

CREATE INDEX TrainingPackage_endorsementFrom on TrainingPackage(endorsementFrom)
CREATE INDEX TrainingPackage_endorsementTo on TrainingPackage(endorsementTo)
CREATE INDEX TrainingPackage_type on TrainingPackage(type)
CREATE INDEX TrainingPackage_willowId on TrainingPackage(willowId)

CREATE INDEX Tutor_birthDate on Tutor(birthDate)
CREATE INDEX Tutor_companyName on Tutor(companyName)
CREATE INDEX Tutor_dateFinished on Tutor(dateFinished)
CREATE INDEX Tutor_dateStarted on Tutor(dateStarted)
CREATE INDEX Tutor_email on Tutor(email)
CREATE INDEX Tutor_firstName on Tutor(firstName)
CREATE INDEX Tutor_isDeleted on Tutor(isDeleted)
CREATE INDEX Tutor_isMale on Tutor(isMale)
CREATE INDEX Tutor_postCode on Tutor(postCode)
CREATE INDEX Tutor_state on Tutor(state)
CREATE INDEX Tutor_street on Tutor(street)
CREATE INDEX Tutor_suburb on Tutor(suburb)
CREATE INDEX Tutor_surname on Tutor(surname)
CREATE INDEX Tutor_willowId on Tutor(willowId)

CREATE INDEX WaitingList_courseId on WaitingList(courseId)
CREATE INDEX WaitingList_studentId on WaitingList(studentId)