DROP INDEX PromotionalCode_code
DROP INDEX PromotionalCode_expiresOn
DROP INDEX PromotionalCode_willowId

DROP TABLE promotionalcode_courseclass
DROP TABLE promotionalcode

DELETE FROM AUTO_PK_SUPPORT WHERE TABLE_NAME IN ('PromotionalCode')

CREATE TABLE Discount (isCodeRequired SMALLINT, code VARCHAR (20), createdOn TIMESTAMP NOT NULL, discountDollar DECIMAL (10, 2), discountPercent DECIMAL (6, 2), validTo TIMESTAMP, id INTEGER NOT NULL, discountMax DECIMAL (10, 2), discountMin DECIMAL (10, 2), modifiedOn TIMESTAMP NOT NULL, name VARCHAR(500), combinationType INTEGER, publicDescription VARCHAR (32000), validFrom TIMESTAMP, willowId BIGINT, savedFindId INTEGER, PRIMARY KEY (id))

ALTER TABLE Discount ADD FOREIGN KEY (savedFindId) REFERENCES SavedFind (id)

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Discount', 200)

CREATE INDEX Discount_code on Discount(code)
CREATE INDEX Discount_validFrom on Discount(validFrom)
CREATE INDEX Discount_validTo on Discount(validTo)
CREATE INDEX Discount_willowId on Discount(willowId)
CREATE INDEX Discount_savedFindId on Discount(savedFindId)


CREATE TABLE Discount_CourseClass (courseClassId BIGINT NOT NULL, createdOn TIMESTAMP NOT NULL, modifiedOn TIMESTAMP NOT NULL, discountId INTEGER NOT NULL, PRIMARY KEY (courseClassId, discountId))

ALTER TABLE Discount_CourseClass ADD FOREIGN KEY (courseClassId) REFERENCES CourseClass (id)
ALTER TABLE Discount_CourseClass ADD FOREIGN KEY (discountId) REFERENCES Discount (id)

CREATE TABLE InvoiceLine_Discount (invoiceLineId BIGINT NOT NULL, createdOn TIMESTAMP NOT NULL, modifiedOn TIMESTAMP NOT NULL, discountId INTEGER NOT NULL, PRIMARY KEY (invoiceLineId, discountId))

ALTER TABLE InvoiceLine_Discount ADD FOREIGN KEY (discountId) REFERENCES Discount (id)
ALTER TABLE InvoiceLine_Discount ADD FOREIGN KEY (invoiceLineId) REFERENCES InvoiceLine (id)

