# Refactoring for release 0.8
# moving to courseclass-tutor many-to-many relation

# create new contact table
CREATE TABLE CourseClass_Tutor (courseClassId BIGINT, createdOn TIMESTAMP, modifiedOn TIMESTAMP, tutorId BIGINT, willowId BIGINT, PRIMARY KEY (courseClassId, tutorId))
	
CREATE TABLE Session_Tutor (sessionId BIGINT, createdOn TIMESTAMP, modifiedOn TIMESTAMP, tutorId BIGINT, willowId BIGINT, PRIMARY KEY (sessionId, tutorId))
	
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('CourseClass_Tutor', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Session_Tutor', 200)
	
ALTER TABLE CourseClass_Tutor ADD CONSTRAINT CourseClass_Tutor_courseClassId FOREIGN KEY (courseClassId) REFERENCES CourseClass (id)
ALTER TABLE CourseClass_Tutor ADD CONSTRAINT CourseClass_Tutor_tutorId FOREIGN KEY (tutorId) REFERENCES Tutor (id)

ALTER TABLE Session_Tutor ADD CONSTRAINT Session_Tutor_sessionId FOREIGN KEY (sessionId) REFERENCES Session (id)
ALTER TABLE Session_Tutor ADD CONSTRAINT Session_Tutor_tutorId FOREIGN KEY (tutorId) REFERENCES Tutor (id)

ALTER TABLE Node ADD COLUMN isWebVisible SMALLINT
ALTER TABLE Node ADD COLUMN weight SMALLINT

ALTER TABLE Invoice ADD COLUMN customerReference VARCHAR(5000)
	
ALTER TABLE Node ADD COLUMN specialType SMALLINT

# preferences now stored in string field
ALTER TABLE Preference ADD COLUMN valueString VARCHAR(1000)

# extend password field to fit hash size
ALTER TABLE SystemUser ALTER COLUMN password SET DATA TYPE VARCHAR (24)
	
#discount update
ALTER TABLE Discount ADD COLUMN studentEnrolledWithinDays INTEGER
ALTER TABLE Discount ADD COLUMN studentAge VARCHAR(5)
ALTER TABLE Discount ADD COLUMN studentConcession INTEGER
ALTER TABLE Discount ADD COLUMN studentPostcode VARCHAR(500)
	
ALTER TABLE Discount DROP COLUMN savedFindId

ALTER TABLE CourseClass ADD COLUMN detBookingId VARCHAR(10)
