ALTER TABLE Account ALTER COLUMN createdOn  NULL
ALTER TABLE Account ALTER COLUMN modifiedOn  NULL
ALTER TABLE AccountTransaction ALTER COLUMN createdOn   NULL
ALTER TABLE AccountTransaction ALTER COLUMN modifiedOn   NULL
ALTER TABLE Discount ALTER COLUMN createdOn   NULL
ALTER TABLE Discount ALTER COLUMN modifiedOn   NULL
ALTER TABLE Invoice ALTER COLUMN contactId  NOT NULL
ALTER TABLE Invoice ALTER COLUMN createdOn   NULL
ALTER TABLE Invoice ALTER COLUMN invoiceNumber  NOT NULL
ALTER TABLE Invoice ALTER COLUMN modifiedOn   NULL
ALTER TABLE InvoiceLine ALTER COLUMN createdOn   NULL
ALTER TABLE InvoiceLine ALTER COLUMN modifiedOn   NULL
ALTER TABLE PaymentIn ALTER COLUMN createdOn   NULL
ALTER TABLE PaymentIn ALTER COLUMN modifiedOn   NULL
ALTER TABLE PaymentInLine ALTER COLUMN createdOn   NULL
ALTER TABLE PaymentInLine ALTER COLUMN modifiedOn   NULL
ALTER TABLE Tax ALTER COLUMN createdOn   NULL
ALTER TABLE Tax ALTER COLUMN isGSTTaxType  NOT NULL
ALTER TABLE Tax ALTER COLUMN modifiedOn   NULL
ALTER TABLE Tax ALTER COLUMN payableToSupplierAccountId  NOT NULL
ALTER TABLE Tax ALTER COLUMN receivableFromStudentAccountId  NOT NULL
ALTER TABLE Tax ALTER COLUMN taxCode  NOT NULL

ALTER TABLE ClassCost ADD CONSTRAINT ClassCost_CourseClass_fk FOREIGN KEY (courseClassId) REFERENCES CourseClass (id)
ALTER TABLE ClassCost ADD CONSTRAINT ClassCost_SystemUser_fk FOREIGN KEY (createdByUserId) REFERENCES SystemUser (id)
ALTER TABLE ClassCost ADD CONSTRAINT ClassCost_Tax_fk FOREIGN KEY (taxId) REFERENCES Tax (id)

#fix for missing qualifications
UPDATE course SET qualificationId=null WHERE ((SELECT id FROM qualification WHERE course.qualificationid = qualification.id) is null)
ALTER TABLE Course ADD CONSTRAINT Course_Qualification_fk FOREIGN KEY (qualificationId) REFERENCES Qualification (id)

ALTER TABLE Invoice ADD CONSTRAINT Invoice_Contact_fk FOREIGN KEY (contactId) REFERENCES Contact (id)
ALTER TABLE Student ADD CONSTRAINT Student_Country_fk FOREIGN KEY (countryOfBirthId) REFERENCES Country (id)
ALTER TABLE Student ADD CONSTRAINT Student_Language_fk FOREIGN KEY (languageId) REFERENCES Language (id)
ALTER TABLE PaymentIn ADD CONSTRAINT PaymentIn_Contact_fk FOREIGN KEY (payerId) REFERENCES Contact (id)
ALTER TABLE PaymentOut ADD CONSTRAINT PaymentOut_Contact_fk FOREIGN KEY (payeeId) REFERENCES Contact (id)
ALTER TABLE Message_Person ADD CONSTRAINT Message_Person_Contact_fk FOREIGN KEY (contactId) REFERENCES Contact (id)

ALTER TABLE CourseClass DROP COLUMN DAYOFWEEKDESCRIPTION
ALTER TABLE CourseClass DROP COLUMN TUTORCONFIRMED
ALTER TABLE CourseClass DROP COLUMN WEBALLOCATION

ALTER TABLE Message_Person DROP COLUMN STUDENTID
ALTER TABLE PaymentIn DROP COLUMN DATEBANKED
ALTER TABLE Site DROP COLUMN POSTCODE
ALTER TABLE Tax DROP COLUMN RATE
ALTER TABLE Tutor DROP COLUMN PASSWORD
ALTER TABLE Tutor DROP COLUMN TFNNEW
