# Every primary key and foreign key has to be of data type bigint

ALTER TABLE Report ADD idcopy BIGINT NOT NULL DEFAULT 1
UPDATE Report SET idcopy = id
ALTER TABLE Report DROP id
ALTER TABLE Report ADD PRIMARY KEY (idcopy)
RENAME COLUMN Report.idcopy TO id

ALTER TABLE Image ADD idcopy BIGINT NOT NULL DEFAULT 1
UPDATE Image SET idcopy = id
ALTER TABLE Image DROP id
ALTER TABLE Image ADD PRIMARY KEY (idcopy)
RENAME COLUMN Image.idcopy TO id

ALTER TABLE SavedFind ADD idcopy BIGINT NOT NULL DEFAULT 1
UPDATE SavedFind SET idcopy = id
ALTER TABLE SavedFind DROP id
ALTER TABLE SavedFind ADD PRIMARY KEY (idcopy)
RENAME COLUMN SavedFind.idcopy TO id

###################### Node

ALTER TABLE Node ADD idcopy BIGINT NOT NULL DEFAULT 1
UPDATE Node SET idcopy = id
ALTER TABLE Node DROP id
ALTER TABLE Node ADD PRIMARY KEY (idcopy)
RENAME COLUMN Node.idcopy TO id

ALTER TABLE Node ADD parentidcopy BIGINT
UPDATE Node SET parentidcopy = parentid
ALTER TABLE Node DROP parentid
RENAME COLUMN Node.parentidcopy TO parentid
ALTER TABLE Node ADD CONSTRAINT node_node_fk Foreign Key (parentid) REFERENCES Node (id)

ALTER TABLE NodeRelation ADD idcopy BIGINT NOT NULL DEFAULT 1
UPDATE NodeRelation SET idcopy = id
ALTER TABLE NodeRelation DROP id
ALTER TABLE NodeRelation ADD PRIMARY KEY (idcopy)
RENAME COLUMN NodeRelation.idcopy TO id

ALTER TABLE NodeRelation ADD nodeidcopy BIGINT
UPDATE NodeRelation SET nodeidcopy = nodeid
ALTER TABLE NodeRelation DROP nodeid
RENAME COLUMN NodeRelation.nodeidcopy TO nodeid
ALTER TABLE NodeRelation ADD CONSTRAINT node_noderelation_fk Foreign Key (nodeid) REFERENCES Node (id)

ALTER TABLE NodeRequirement ADD idcopy BIGINT NOT NULL DEFAULT 1
UPDATE NodeRequirement SET idcopy = id
ALTER TABLE NodeRequirement DROP id
ALTER TABLE NodeRequirement ADD PRIMARY KEY (idcopy)
RENAME COLUMN NodeRequirement.idcopy TO id

ALTER TABLE NodeRequirement ADD nodeidcopy BIGINT
UPDATE NodeRequirement SET nodeidcopy = nodeid
ALTER TABLE NodeRequirement DROP nodeid
RENAME COLUMN NodeRequirement.nodeidcopy TO nodeid
ALTER TABLE NodeRequirement ADD CONSTRAINT node_noderequirement_fk Foreign Key (nodeid) REFERENCES Node (id)

ALTER TABLE NodeRelation ADD entityrecordidcopy BIGINT
UPDATE NodeRelation SET entityrecordidcopy = entityrecordid
ALTER TABLE NodeRelation DROP entityrecordid
RENAME COLUMN NodeRelation.entityrecordidcopy TO entityrecordid


###################### BinaryInfo

ALTER TABLE BinaryInfo ADD idcopy BIGINT NOT NULL DEFAULT 1
UPDATE BinaryInfo SET idcopy = id
ALTER TABLE BinaryInfo DROP id
ALTER TABLE BinaryInfo ADD PRIMARY KEY (idcopy)
RENAME COLUMN BinaryInfo.idcopy TO id

ALTER TABLE BinaryData ADD idcopy BIGINT NOT NULL DEFAULT 1
UPDATE BinaryData SET idcopy = id
ALTER TABLE BinaryData DROP id
ALTER TABLE BinaryData ADD PRIMARY KEY (idcopy)
RENAME COLUMN BinaryData.idcopy TO id

ALTER TABLE BinaryData ADD binaryinfoidcopy BIGINT
UPDATE BinaryData SET binaryinfoidcopy = binaryinfoid
ALTER TABLE BinaryData DROP binaryinfoid
RENAME COLUMN BinaryData.binaryinfoidcopy TO binaryinfoid
ALTER TABLE BinaryData ADD CONSTRAINT binaryinfo_binarydata_fk Foreign Key (binaryinfoid) REFERENCES BinaryInfo (id)

ALTER TABLE BinaryRelation ADD idcopy BIGINT NOT NULL DEFAULT 1
UPDATE BinaryRelation SET idcopy = id
ALTER TABLE BinaryRelation DROP id
ALTER TABLE BinaryRelation ADD PRIMARY KEY (idcopy)
RENAME COLUMN BinaryRelation.idcopy TO id

ALTER TABLE BinaryRelation ADD binaryinfoidcopy BIGINT
UPDATE BinaryRelation SET binaryinfoidcopy = binaryinfoid
ALTER TABLE BinaryRelation DROP binaryinfoid
RENAME COLUMN BinaryRelation.binaryinfoidcopy TO binaryinfoid
ALTER TABLE BinaryRelation ADD CONSTRAINT binaryinfo_binaryrelation_fk Foreign Key (binaryinfoid) REFERENCES BinaryInfo (id)

ALTER TABLE BinaryRelation ADD entityrecordidcopy BIGINT
UPDATE BinaryRelation SET entityrecordidcopy = entityrecordid
ALTER TABLE BinaryRelation DROP entityrecordid
RENAME COLUMN BinaryRelation.entityrecordidcopy TO entityrecordid

###############################################

ALTER TABLE ContactRelationType ADD idcopy BIGINT NOT NULL DEFAULT 1
UPDATE ContactRelationType SET idcopy = id
ALTER TABLE ContactRelationType DROP id
ALTER TABLE ContactRelationType ADD PRIMARY KEY (idcopy)
RENAME COLUMN ContactRelationType.idcopy TO id

ALTER TABLE ContactRelation ADD typeidcopy BIGINT
UPDATE ContactRelation SET typeidcopy = typeid
ALTER TABLE ContactRelation DROP typeid
RENAME COLUMN ContactRelation.typeidcopy TO typeid
ALTER TABLE ContactRelation ADD CONSTRAINT conreltype_conrel_fk Foreign Key (typeid) REFERENCES ContactRelationType (id)

#################### Discount

ALTER TABLE Discount ADD idcopy BIGINT NOT NULL DEFAULT 1
UPDATE Discount SET idcopy = id
ALTER TABLE Discount DROP id
ALTER TABLE Discount ADD PRIMARY KEY (idcopy)
RENAME COLUMN Discount.idcopy TO id

ALTER TABLE Discount_CourseClass ADD discountidcopy BIGINT
UPDATE Discount_CourseClass SET discountidcopy = discountid
ALTER TABLE Discount_CourseClass DROP discountid
RENAME COLUMN Discount_CourseClass.discountidcopy TO discountid
ALTER TABLE Discount_CourseClass ADD CONSTRAINT discount_discoursclass_fk Foreign Key (discountid) REFERENCES Discount (id)

ALTER TABLE InvoiceLine_Discount ADD discountidcopy BIGINT
UPDATE InvoiceLine_Discount SET discountidcopy = discountid
ALTER TABLE InvoiceLine_Discount DROP discountid
RENAME COLUMN InvoiceLine_Discount.discountidcopy TO discountid
ALTER TABLE InvoiceLine_Discount ADD CONSTRAINT invlinedis_discount_fk Foreign Key (discountid) REFERENCES Discount (id)