ALTER TABLE StudentConcession DROP CONSTRAINT fk_StudentConcession_Student
ALTER TABLE StudentConcession DROP CONSTRAINT fk_StudentConcession_ConcessionType

ALTER TABLE Discount_ConcessionType DROP CONSTRAINT fk_Discount_ConcessionType_ConcessionType 
ALTER TABLE Discount_ConcessionType DROP CONSTRAINT fk_Discount_ConcessionType_Discount

DROP TABLE ConcessionType 

CREATE TABLE ConcessionType ( credentialExpiryDays INTEGER, hasConcessionNumber SMALLINT, hasExpiryDate SMALLINT, id BIGINT NOT NULL, isConcession SMALLINT, isEnabled SMALLINT, name varchar(200), requiresCredentialCheck SMALLINT, willowId BIGINT, PRIMARY KEY (id))

INSERT INTO ConcessionType (ID, NAME, isConcession, isEnabled) VALUES (0, 'No concession', 0, 1)
INSERT INTO ConcessionType (ID, NAME, isConcession, isEnabled) VALUES (1, 'Seniors card', 1, 1)
INSERT INTO ConcessionType (ID, NAME, isConcession, isEnabled) VALUES (2, 'Student', 1, 1)
INSERT INTO ConcessionType (ID, NAME, isConcession, isEnabled) VALUES (3, 'Pensioner', 1, 1)

ALTER TABLE StudentConcession ADD CONSTRAINT fk_StudentConcession_Student FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE StudentConcession ADD CONSTRAINT fk_StudentConcession_ConcessionType FOREIGN KEY (concessionTypeId) REFERENCES ConcessionType (id)

ALTER TABLE Discount_ConcessionType ADD CONSTRAINT fk_Discount_ConcessionType_ConcessionType FOREIGN KEY (concessionTypeId) REFERENCES ConcessionType (id)
ALTER TABLE Discount_ConcessionType ADD CONSTRAINT fk_Discount_ConcessionType_Discount FOREIGN KEY (discountId) REFERENCES Discount (id)

ALTER TABLE Contact ADD COLUMN uniqueCode VARCHAR(16) 
