CREATE TABLE CourseClassTutor (courseClassId BIGINT, createdOn TIMESTAMP, modifiedOn TIMESTAMP, tempid BIGINT NOT NULL GENERATED ALWAYS AS IDENTITY, id BIGINT, tutorId BIGINT, willowId BIGINT, confirmedOn TIMESTAMP, type INTEGER, PRIMARY KEY (tempid))

INSERT INTO CourseClassTutor (courseClassId , createdOn , modifiedOn , tutorId, willowId , confirmedOn, type) SELECT courseClassId , createdOn , modifiedOn , tutorId, willowId , confirmedOn, type FROM CourseClass_Tutor

UPDATE CourseClassTutor SET id = tempid

ALTER TABLE CourseClassTutor DROP PRIMARY KEY

ALTER TABLE CourseClassTutor ALTER COLUMN id NOT NULL
ALTER TABLE CourseClassTutor ADD PRIMARY KEY(id)

ALTER TABLE CourseClassTutor DROP tempid

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('CourseClassTutor',  (1 + (CASE WHEN (SELECT MAX(id) FROM CourseClassTutor) IS NULL THEN 0 ELSE (SELECT MAX(id) FROM CourseClassTutor) END)))

DROP TABLE CourseClass_Tutor

CREATE TABLE SessionCourseClassTutor (sessionId BIGINT,courseClassTutorId BIGINT, PRIMARY KEY (sessionId, courseClassTutorId))

INSERT INTO SessionCourseClassTutor (sessionId, courseClassTutorId) SELECT st.sessionId, cct.id from Session_Tutor st join CourseSession s on s.id=st.sessionId join CourseClass cc on cc.id = s.courseClass_Id join CourseClassTutor cct on (cct.courseClassId=cc.id and st.tutorId=cct.tutorId)

DROP TABLE Session_Tutor