DROP TABLE Discount_Product
DROP TABLE Discount_MembershipProduct

CREATE TABLE Discount_Membership (applyToMemberOnly SMALLINT, createdOn TIMESTAMP, discountId BIGINT, id BIGINT NOT NULL, membershipProductId BIGINT, modifiedOn TIMESTAMP, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Discount_Membership_RelationType (contactRelationTypeId BIGINT, createdOn TIMESTAMP, id BIGINT NOT NULL, membershipDiscountId BIGINT, modifiedOn TIMESTAMP, willowId BIGINT, PRIMARY KEY (id))

ALTER TABLE Discount_Membership ADD FOREIGN KEY (discountId) REFERENCES Discount (id)
ALTER TABLE Discount_Membership ADD FOREIGN KEY (membershipProductId) REFERENCES Product (id)
ALTER TABLE Discount_Membership_RelationType ADD FOREIGN KEY (contactRelationTypeId) REFERENCES ContactRelationType (id)
ALTER TABLE Discount_Membership_RelationType ADD FOREIGN KEY (membershipDiscountId) REFERENCES Discount_Membership (id)

DELETE FROM AUTO_PK_SUPPORT WHERE TABLE_NAME IN ('Discount_Membership', 'Discount_Membership_RelationType')

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Discount_Membership', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Discount_Membership_RelationType', 200)

ALTER TABLE Discount ADD COLUMN appliesAutomatically SMALLINT
ALTER TABLE Discount ADD COLUMN type SMALLINT
UPDATE Discount SET type = 1 WHERE discountPercent > 0
