CREATE TABLE Site (createdOn DATETIME, drivingDirections TEXT, id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn DATETIME, name VARCHAR (150), postcode INTEGER, publicTransportDirections TEXT, specialInstructions TEXT, street TEXT, suburb VARCHAR (50), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Message (createdOn DATETIME, emailBody TEXT, emailSubject VARCHAR (500), id BIGINT NOT NULL, modifiedOn DATETIME, smsText VARCHAR (160), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Room (createdOn DATETIME, directions TEXT, facilities TEXT, id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn DATETIME, name VARCHAR (500), seatedCapacity INTEGER, siteId BIGINT, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE PromotionalCode (code VARCHAR (20) NOT NULL, createdOn DATETIME NOT NULL, discountDollar DECIMAL (10, 2), discountPercent DECIMAL (6, 2), expiresOn DATETIME, id BIGINT NOT NULL, modifiedOn DATETIME, publicDescription TEXT, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE MessageTemplate (createdOn DATETIME, id BIGINT NOT NULL, message TEXT, modifiedOn DATETIME, name VARCHAR (40), subject VARCHAR (500), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Account (accountCode VARCHAR (40) NOT NULL, createdOn DATETIME NOT NULL, currentBalance DECIMAL (10, 2) NOT NULL, description VARCHAR (500) NOT NULL, id BIGINT NOT NULL, isEnabled SMALLINT NOT NULL, modifiedOn DATETIME NOT NULL, openingBalance DECIMAL (10, 2) NOT NULL, parentAccountId BIGINT, type INTEGER NOT NULL, PRIMARY KEY (id))
CREATE TABLE SystemUser (createdOn DATETIME, firstName VARCHAR (100), id BIGINT NOT NULL, lastLoginOn DATETIME, login VARCHAR (20), modifiedOn DATETIME, password VARCHAR (16), surname VARCHAR (100), PRIMARY KEY (id))
CREATE TABLE TrainingPackage (copyrightCategory VARCHAR (50), copyrightContact VARCHAR (50), createdOn DATETIME, developer VARCHAR (50), endorsementFrom DATETIME, endorsementTo DATETIME, id BIGINT NOT NULL, modifiedOn DATETIME, nationalISC VARCHAR (50), purchaseFrom VARCHAR (100), title VARCHAR (255), type VARCHAR (20), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Tutor (birthDate DATETIME, companyName VARCHAR (500), createdOn DATETIME, dateFinished DATETIME, dateStarted DATETIME, email VARCHAR (100), fax VARCHAR (20), firstName VARCHAR (100), homePhone VARCHAR (20), id BIGINT NOT NULL, isDeleted SMALLINT, isMale SMALLINT, mobilePhone VARCHAR (20), modifiedOn DATETIME, notes TEXT, password VARCHAR (16), postCode VARCHAR (10), resume TEXT, state VARCHAR (3), street VARCHAR (1000), suburb VARCHAR (50), surname VARCHAR (100), tfn BIGINT, willowId BIGINT, workPhone VARCHAR (12), PRIMARY KEY (id))
CREATE TABLE QueuedRecord (createdOn DATETIME, foreignRecordId BIGINT, id BIGINT NOT NULL, lastAttemptOn DATETIME, modifiedOn DATETIME, numberOfAttempts INTEGER, tableName VARCHAR (40), PRIMARY KEY (id))
CREATE TABLE AccountTransaction (accountId BIGINT NOT NULL, amount DECIMAL (10, 2) NOT NULL, createdOn DATETIME NOT NULL, foreignRecordId BIGINT NOT NULL, id BIGINT NOT NULL, modifiedOn DATETIME NOT NULL, tableName VARCHAR (50) NOT NULL, PRIMARY KEY (id))
CREATE TABLE Tax (createdOn DATETIME NOT NULL, description VARCHAR (500), id BIGINT NOT NULL, isGSTTaxType SMALLINT NOT NULL, modifiedOn DATETIME NOT NULL, payableToSupplierAccountId BIGINT NOT NULL, rate DECIMAL (6, 2) NOT NULL, receivableFromStudentAccountId BIGINT NOT NULL, taxCode VARCHAR (10) NOT NULL, PRIMARY KEY (id))
CREATE TABLE Language (absCode VARCHAR (10), createdOn DATETIME, id BIGINT NOT NULL, isActive SMALLINT NOT NULL, modifiedOn DATETIME, name VARCHAR (50) NOT NULL, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Category (createdOn DATETIME, detail VARCHAR (50), id BIGINT NOT NULL, isDeleted SMALLINT, isShownOnWeb SMALLINT, modifiedOn DATETIME, name VARCHAR (50), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Country (createdOn DATETIME, id BIGINT NOT NULL, isoCodeAlpha3 VARCHAR (3), isoCodeNumeric INTEGER, modifiedOn DATETIME, name VARCHAR (50), saccCode INTEGER, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Preference (createdOn DATETIME, id BIGINT NOT NULL, is_global SMALLINT, modifiedOn DATETIME, name VARCHAR (1000), userId BIGINT, value VARBINARY(MAX), PRIMARY KEY (id))
CREATE TABLE SubCategory (categoryId BIGINT, createdOn DATETIME, detail TEXT, id BIGINT NOT NULL, isDeleted SMALLINT, isShownOnWeb SMALLINT, modifiedOn DATETIME, name VARCHAR (500), willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Qualification (ANZSIC VARCHAR (50), ASCO VARCHAR (50), createdOn DATETIME, fieldOfEducation VARCHAR (4), fieldOfStudy VARCHAR (4), id BIGINT NOT NULL, isAccreditedCourse SMALLINT, isOffered SMALLINT, qualLevel VARCHAR (255), modifiedOn DATETIME, nationalCode VARCHAR (12), newApprenticeship VARCHAR (50), nominalHours REAL, reviewDate DATETIME, title VARCHAR (255), trainingPackageId BIGINT, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Course (code VARCHAR (50), createdOn DATETIME, id BIGINT NOT NULL, isDeleted SMALLINT, isShownOnWeb SMALLINT, isVET SMALLINT, modifiedOn DATETIME, name VARCHAR (500), qualificationId BIGINT, webDescription TEXT, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Module (createdOn DATETIME, defaultQualificationId BIGINT, disciplineCode VARCHAR (8), fieldOfEducation VARCHAR (6), id BIGINT NOT NULL, isModule SMALLINT, isOffered SMALLINT, modifiedOn DATETIME, nationalCode VARCHAR (12), title VARCHAR (255), trainingPackageId BIGINT, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Student (birthDate DATETIME, concessionNumber VARCHAR (20), concessionType INTEGER, countryOfBirthId BIGINT, createdOn DATETIME, disabilityType INTEGER, email VARCHAR (500), employmentCategoryId INTEGER, englishProficiency INTEGER, fax VARCHAR (20), firstName VARCHAR (100), highestSchoolLevel INTEGER, homePhone VARCHAR (20), id BIGINT NOT NULL, indigenousStatus INTEGER, isDeleted SMALLINT, isMale SMALLINT, isOverseasClient SMALLINT, isStillAtSchool SMALLINT, languageId BIGINT, message VARCHAR (50), mobilePhone VARCHAR (20), modifiedOn DATETIME, notes TEXT, postCode VARCHAR (10), priorEducationCode INTEGER, specialNeeds TEXT, state VARCHAR (3), street VARCHAR (1000), suburb VARCHAR (50), surname VARCHAR (100), webPassword VARCHAR (16), willowId BIGINT, workPhone VARCHAR (20), yearSchoolCompleted INTEGER, PRIMARY KEY (id))
CREATE TABLE CourseClass (code VARCHAR (50), courseId BIGINT, createdOn DATETIME, dayOfWeekDescription VARCHAR (100), endDateTime DATETIME, feeExGst DECIMAL (10, 2), id BIGINT NOT NULL, incomeAccountId BIGINT, isCancelled SMALLINT, isDeleted SMALLINT, isDistantLearningCourse SMALLINT, isShownOnWeb SMALLINT, materials TEXT, maximumPlaces INTEGER, minimumPlaces INTEGER, minutesPerSession INTEGER, modifiedOn DATETIME, notes TEXT, roomId BIGINT, sessionCount INTEGER, startDateTime DATETIME, taxId BIGINT, tutorConfirmed SMALLINT, tutorConfirmedDate DATETIME, tutorId BIGINT, webAllocation INTEGER, webDescription TEXT, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Subcategory_Course (courseId BIGINT NOT NULL, createdOn DATETIME, modifiedOn DATETIME, subcategoryId BIGINT NOT NULL, PRIMARY KEY (courseId, subcategoryId))
CREATE TABLE Message_Person (attemptCount INTEGER, destinationAddress VARCHAR (500), id BIGINT NOT NULL, messageId BIGINT, response VARCHAR (500), sentOn DATETIME, status INTEGER, studentId BIGINT, tutorId BIGINT, type INTEGER, PRIMARY KEY (id))
CREATE TABLE CourseSession (courseClass_Id BIGINT, createdOn DATETIME, endDatetime DATETIME, id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn DATETIME, roomId BIGINT, startDatetime DATETIME, tutorId BIGINT, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Module_Course (courseId BIGINT NOT NULL, createdOn DATETIME, modifiedOn DATETIME, moduleId BIGINT NOT NULL, PRIMARY KEY (courseId, moduleId))
CREATE TABLE PriorLearning (createdOn DATETIME, id BIGINT NOT NULL, modifiedOn DATETIME, notes TEXT, studentId BIGINT, PRIMARY KEY (id))
CREATE TABLE Invoice (amoutOwing DECIMAL (10, 2) NOT NULL, billToAddress TEXT, createdByUserId BIGINT, createdOn DATETIME NOT NULL, customerPO VARCHAR (500), dateDue DATETIME NOT NULL, debtorsAccountId BIGINT NOT NULL, description TEXT, id BIGINT NOT NULL, invoiceDate DATETIME NOT NULL, invoiceNumber BIGINT NOT NULL, modifiedOn DATETIME NOT NULL, privateNotes TEXT, publicNotes TEXT, shippingAddress TEXT, studentId BIGINT NOT NULL, PRIMARY KEY (id))
CREATE TABLE WaitingList (courseId BIGINT, createdOn DATETIME, id BIGINT NOT NULL, modifiedOn DATETIME, notes TEXT, studentId BIGINT, PRIMARY KEY (id))
CREATE TABLE PaymentIn (accountInId BIGINT NOT NULL, amount DECIMAL (10, 2) NOT NULL, chequeBank VARCHAR (100), chequeBranch VARCHAR (100), chequeDrawer VARCHAR (100), createdOn DATETIME NOT NULL, creditCardCVV VARCHAR (4), creditCardExpiry VARCHAR (10), creditCardName VARCHAR (40), creditCardNumber VARCHAR (20), creditCardType VARCHAR (5), dateBanked DATETIME, gatewayReference VARCHAR (40), id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn DATETIME NOT NULL, privateNotes TEXT, reconciled INTEGER NOT NULL, status INTEGER, studentId BIGINT, type BIGINT NOT NULL, PRIMARY KEY (id))
CREATE TABLE PromotionalCode_CourseClass (courseClassId BIGINT NOT NULL, createdOn DATETIME NOT NULL, endDate DATETIME, modifiedOn DATETIME NOT NULL, promotionalCodeId BIGINT NOT NULL, scheduledHours INTEGER, startDate DATETIME, PRIMARY KEY (courseClassId, promotionalCodeId))
CREATE TABLE PaymentInLine (accountOutId BIGINT NOT NULL, amount DECIMAL (10, 2) NOT NULL, createdOn DATETIME NOT NULL, id BIGINT NOT NULL, invoiceId BIGINT NOT NULL, modifiedOn DATETIME NOT NULL, paymentInId BIGINT NOT NULL, PRIMARY KEY (id))
CREATE TABLE Enrolment (courseClass_Id BIGINT NOT NULL, createdOn DATETIME, id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn DATETIME, source CHAR (1), status INTEGER, studentId BIGINT NOT NULL, willowId BIGINT, PRIMARY KEY (id))
CREATE TABLE Outcome (createdOn DATETIME, endDate DATETIME, enrolmentId BIGINT, id BIGINT NOT NULL, modifiedOn DATETIME, moduleId BIGINT, priorLearningId BIGINT, scheduledHours INTEGER, startDate DATETIME, status INTEGER, PRIMARY KEY (id))
CREATE TABLE InvoiceLine (accountId BIGINT NOT NULL, createdOn DATETIME NOT NULL, description TEXT, discountEachexTax DECIMAL (10, 2) NOT NULL, enrolmentId BIGINT, id BIGINT NOT NULL, invoiceId BIGINT NOT NULL, modifiedOn DATETIME NOT NULL, priceEachexTax DECIMAL (10, 2) NOT NULL, quantity DECIMAL (10, 2) NOT NULL, sortOrder INTEGER, taxEach DECIMAL (10, 2) NOT NULL, taxId BIGINT NOT NULL, title VARCHAR (200) NOT NULL, unit VARCHAR (50), PRIMARY KEY (id))

ALTER TABLE Room ADD CONSTRAINT fk_Room_Site FOREIGN KEY (siteId) REFERENCES Site (id)
ALTER TABLE Account ADD CONSTRAINT fk_Account_Account FOREIGN KEY (parentAccountId) REFERENCES Account (id)
ALTER TABLE AccountTransaction ADD CONSTRAINT fk_AcountTrans_Account FOREIGN KEY (accountId) REFERENCES Account (id)
ALTER TABLE Tax ADD CONSTRAINT fk_Tax_Account FOREIGN KEY (payableToSupplierAccountId) REFERENCES Account (id)
ALTER TABLE Tax ADD CONSTRAINT fk_Tax_Account2 FOREIGN KEY (receivableFromStudentAccountId) REFERENCES Account (id)
ALTER TABLE Preference ADD CONSTRAINT fk_Pref_systemUser FOREIGN KEY (userId) REFERENCES SystemUser (id)
ALTER TABLE SubCategory ADD CONSTRAINT fk_SubCategory_Category FOREIGN KEY (categoryId) REFERENCES Category (id)
ALTER TABLE Qualification ADD CONSTRAINT fk_Qual_TrainingPack FOREIGN KEY (trainingPackageId) REFERENCES TrainingPackage (id)
ALTER TABLE Module ADD CONSTRAINT fk_Module_Qual FOREIGN KEY (defaultQualificationId) REFERENCES Qualification (id)
ALTER TABLE Module ADD CONSTRAINT fk_Module_TrainingPack FOREIGN KEY (trainingPackageId) REFERENCES TrainingPackage (id)
ALTER TABLE CourseClass ADD CONSTRAINT fk_CourseClass_Course FOREIGN KEY (courseId) REFERENCES Course (id)
ALTER TABLE CourseClass ADD CONSTRAINT fk_CourseClass_Account FOREIGN KEY (incomeAccountId) REFERENCES Account (id)
ALTER TABLE CourseClass ADD CONSTRAINT fk_CourseClass_Room FOREIGN KEY (roomId) REFERENCES Room (id)
ALTER TABLE CourseClass ADD CONSTRAINT fk_CourseClass_Tax FOREIGN KEY (taxId) REFERENCES Tax (id)
ALTER TABLE CourseClass ADD CONSTRAINT fk_CourseClass_Tutor FOREIGN KEY (tutorId) REFERENCES Tutor (id)
ALTER TABLE Subcategory_Course ADD CONSTRAINT fk_SubCatCourse_course FOREIGN KEY (courseId) REFERENCES Course (id)
ALTER TABLE Subcategory_Course ADD CONSTRAINT fk_SubCatCourse_SubCat FOREIGN KEY (subcategoryId) REFERENCES SubCategory (id)
ALTER TABLE Message_Person ADD CONSTRAINT fk_MessPers_Message FOREIGN KEY (messageId) REFERENCES Message (id)
ALTER TABLE Message_Person ADD CONSTRAINT fk_Message_Person_Student FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE Message_Person ADD CONSTRAINT fk_Message_Person FOREIGN KEY (tutorId) REFERENCES Tutor (id)
ALTER TABLE CourseSession ADD CONSTRAINT fk_CourseSess_CourseClass FOREIGN KEY (courseClass_Id) REFERENCES CourseClass (id)
ALTER TABLE CourseSession ADD CONSTRAINT fk_CourseSess_Room FOREIGN KEY (roomId) REFERENCES Room (id)
ALTER TABLE CourseSession ADD CONSTRAINT fk_Session_Tutor FOREIGN KEY (tutorId) REFERENCES Tutor (id)
ALTER TABLE Module_Course ADD CONSTRAINT fk_ModuleCourse_Course FOREIGN KEY (courseId) REFERENCES Course (id)
ALTER TABLE Module_Course ADD CONSTRAINT fk_ModuleCoourse_Module FOREIGN KEY (moduleId) REFERENCES Module (id)
ALTER TABLE PriorLearning ADD CONSTRAINT fk_PriorLearn_Student FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE Invoice ADD CONSTRAINT fk_Invoice_SystUser FOREIGN KEY (createdByUserId) REFERENCES SystemUser (id)
ALTER TABLE Invoice ADD CONSTRAINT fk_Invoice_Account FOREIGN KEY (debtorsAccountId) REFERENCES Account (id)
ALTER TABLE Invoice ADD CONSTRAINT fk_Invoice_Student FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE WaitingList ADD CONSTRAINT fk_WaitList_Course FOREIGN KEY (courseId) REFERENCES Course (id)
ALTER TABLE WaitingList ADD CONSTRAINT fk_WaitList_Student FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE PaymentIn ADD CONSTRAINT fk_PaymentIn_Account FOREIGN KEY (accountInId) REFERENCES Account (id)
ALTER TABLE PaymentIn ADD CONSTRAINT fk_PaymentIn_Student FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE PromotionalCode_CourseClass ADD CONSTRAINT fk_PCCC_CourseClass FOREIGN KEY (courseClassId) REFERENCES CourseClass (id)
ALTER TABLE PromotionalCode_CourseClass ADD CONSTRAINT fk_PCCC_PromotCode FOREIGN KEY (promotionalCodeId) REFERENCES PromotionalCode (id)
ALTER TABLE PaymentInLine ADD CONSTRAINT fk_PaymentInLine_Account FOREIGN KEY (accountOutId) REFERENCES Account (id)
ALTER TABLE PaymentInLine ADD CONSTRAINT fk_PaymentInLine_Invoice FOREIGN KEY (invoiceId) REFERENCES Invoice (id)
ALTER TABLE PaymentInLine ADD CONSTRAINT fk_PaymentInLine_PaymentIn FOREIGN KEY (paymentInId) REFERENCES PaymentIn (id)
ALTER TABLE Enrolment ADD CONSTRAINT fk_Enrolment_CourseClass FOREIGN KEY (courseClass_Id) REFERENCES CourseClass (id)
ALTER TABLE Enrolment ADD CONSTRAINT fk_Enrolment_Student FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE Outcome ADD CONSTRAINT fk_Outcoome_Enrolment FOREIGN KEY (enrolmentId) REFERENCES Enrolment (id)
ALTER TABLE Outcome ADD CONSTRAINT fk_Outcome_Module FOREIGN KEY (moduleId) REFERENCES Module (id)
ALTER TABLE Outcome ADD CONSTRAINT fk_outcome_PriorLern FOREIGN KEY (priorLearningId) REFERENCES PriorLearning (id)
ALTER TABLE InvoiceLine ADD CONSTRAINT fk_InvoiceLine_Account FOREIGN KEY (accountId) REFERENCES Account (id)
ALTER TABLE InvoiceLine ADD CONSTRAINT fk_InvoiceLine_Enrolment FOREIGN KEY (enrolmentId) REFERENCES Enrolment (id)
ALTER TABLE InvoiceLine ADD CONSTRAINT fk_InvoiceLine_Invoice FOREIGN KEY (invoiceId) REFERENCES Invoice (id)
ALTER TABLE InvoiceLine ADD CONSTRAINT fk_InvoiceLine_Tax FOREIGN KEY (taxId) REFERENCES Tax (id)


CREATE TABLE AUTO_PK_SUPPORT (  TABLE_NAME CHAR(100) NOT NULL,  NEXT_ID INTEGER NOT NULL,  PRIMARY KEY(TABLE_NAME))

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Account', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('AccountTransaction', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Category', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Country', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Course', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('CourseClass', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Enrolment', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Invoice', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('InvoiceLine', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Language', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Message', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('MessageTemplate', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Message_Person', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Module', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Outcome', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PaymentIn', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PaymentInLine', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Preference', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PriorLearning', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PromotionalCode', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Qualification', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('QueuedRecord', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Room', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('CourseSession', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Site', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Student', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('SubCategory', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('SystemUser', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Tax', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('TrainingPackage', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Tutor', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('WaitingList', 200)