# ensure that NodeRelation (entityIdentifier, nodeId, entityRecordId) are not nillable
DELETE FROM NodeRelation where entityIdentifier IS NULL OR nodeId IS NULL OR entityRecordId IS NULL

# dump tempEntityRecordId
ALTER TABLE NodeRelation DROP COLUMN tempEntityRecordId

# add not nillable constraints to NodeRelation join columns
DROP INDEX NodeRelation.NodeRelation_entityIdentifier
DROP INDEX NodeRelation.NodeRelation_entityRecordId
DROP INDEX NodeRelation.NodeRelation_termId
ALTER TABLE NodeRelation ALTER COLUMN entityIdentifier SMALLINT NOT NULL
ALTER TABLE NodeRelation ALTER COLUMN entityRecordId BIGINT NOT NULL
ALTER TABLE NodeRelation ALTER COLUMN nodeId BIGINT NOT NULL
CREATE INDEX NodeRelation_entityIdentifier on NodeRelation(entityIdentifier)
CREATE INDEX NodeRelation_entityRecordId on NodeRelation(entityRecordId)
CREATE INDEX NodeRelation_termId on NodeRelation(nodeId)