CREATE TABLE PaymentOut (accountOutId BIGINT NOT NULL, amount DECIMAL (10, 2) NOT NULL, createdOn DATETIME, id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn DATETIME, privateNotes TEXT, reconciled INTEGER NOT NULL, status INTEGER, studentId BIGINT, tutorId BIGINT, type INTEGER NOT NULL, PRIMARY KEY (id))
CREATE TABLE PaymentOutLine (accountInId BIGINT NOT NULL, amount DECIMAL (10, 2) NOT NULL, createdOn DATETIME, id BIGINT NOT NULL, invoiceId BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn DATETIME, paymentOutId BIGINT NOT NULL, PRIMARY KEY (id))

ALTER TABLE PaymentOut ADD CONSTRAINT fk_PaymentOut_Student FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE PaymentOut ADD CONSTRAINT fk_PaymentOut_tutor FOREIGN KEY (tutorId) REFERENCES Tutor(id)
ALTER TABLE PaymentOut ADD CONSTRAINT fk_PaymentOut_Account FOREIGN KEY (accountOutId) REFERENCES Account(id)
ALTER TABLE PaymentOutLine ADD CONSTRAINT fk_PaymentOutLine_Account FOREIGN KEY (accountInId) REFERENCES Account (id)
ALTER TABLE PaymentOutLine ADD CONSTRAINT fk_PaymentOutLine_Invoice FOREIGN KEY (invoiceId) REFERENCES Invoice (id)
ALTER TABLE PaymentOutLine ADD CONSTRAINT fk_PaymentOutLine_PayOut FOREIGN KEY (paymentOutId) REFERENCES PaymentOut (id)

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PaymentOut', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PaymentOutLine', 200)

CREATE INDEX PaymentOut_accountOutId on PaymentOut(accountOutId)
CREATE INDEX PaymentOut_isDeleted on PaymentOut(isDeleted)
CREATE INDEX PaymentOut_reconciled on PaymentOut(reconciled)
CREATE INDEX PaymentOut_status on PaymentOut(status)
CREATE INDEX PaymentOut_studentId on PaymentOut(studentId)
CREATE INDEX PaymentOut_tutorId on PaymentOut(tutorId)
CREATE INDEX PaymentOut_type on PaymentOut(type)

CREATE INDEX PaymentOutLine_accountInId on PaymentOutLine(accountInId)
CREATE INDEX PaymentOutLine_invoiceId on PaymentOutLine(invoiceId)
CREATE INDEX PaymentOutLine_PaymentOutId on PaymentOutLine(PaymentOutId)