ALTER TABLE Account ALTER COLUMN createdOn DATETIME NULL
ALTER TABLE Account ALTER COLUMN modifiedOn DATETIME NULL
ALTER TABLE AccountTransaction ALTER COLUMN createdOn DATETIME NULL
ALTER TABLE AccountTransaction ALTER COLUMN modifiedOn DATETIME  NULL
ALTER TABLE Discount ALTER COLUMN createdOn DATETIME NULL
ALTER TABLE Discount ALTER COLUMN modifiedOn DATETIME NULL
ALTER TABLE Invoice ALTER COLUMN contactId BIGINT NOT NULL
ALTER TABLE Invoice ALTER COLUMN createdOn DATETIME NULL
ALTER TABLE Invoice ALTER COLUMN invoiceNumber BIGINT NOT NULL
ALTER TABLE Invoice ALTER COLUMN modifiedOn DATETIME NULL
ALTER TABLE InvoiceLine ALTER COLUMN createdOn DATETIME NULL
ALTER TABLE InvoiceLine ALTER COLUMN modifiedOn DATETIME  NULL
ALTER TABLE PaymentIn ALTER COLUMN createdOn DATETIME NULL
ALTER TABLE PaymentIn ALTER COLUMN modifiedOn DATETIME NULL
ALTER TABLE PaymentInLine ALTER COLUMN createdOn DATETIME NULL
ALTER TABLE PaymentInLine ALTER COLUMN modifiedOn DATETIME NULL
ALTER TABLE Tax ALTER COLUMN createdOn DATETIME NULL
ALTER TABLE Tax ALTER COLUMN isGSTTaxType SMALLINT  NOT NULL
ALTER TABLE Tax ALTER COLUMN modifiedOn DATETIME NULL
ALTER TABLE Tax ALTER COLUMN payableToSupplierAccountId BIGINT NOT NULL
ALTER TABLE Tax ALTER COLUMN receivableFromStudentAccountId BIGINT NOT NULL
ALTER TABLE Tax ALTER COLUMN taxCode VARCHAR(10) NOT NULL

ALTER TABLE ClassCost ADD CONSTRAINT ClassCost_CourseClass_fk FOREIGN KEY (courseClassId) REFERENCES CourseClass (id)
ALTER TABLE ClassCost ADD CONSTRAINT ClassCost_SystemUser_fk FOREIGN KEY (createdByUserId) REFERENCES SystemUser (id)
ALTER TABLE ClassCost ADD CONSTRAINT ClassCost_Tax_fk FOREIGN KEY (taxId) REFERENCES Tax (id)

#fix for missing qualifications
UPDATE course SET qualificationId=null WHERE ((SELECT id FROM qualification WHERE course.qualificationid = qualification.id) is null)
ALTER TABLE Course ADD CONSTRAINT Course_Qualification_fk FOREIGN KEY (qualificationId) REFERENCES Qualification (id)

ALTER TABLE Invoice ADD CONSTRAINT Invoice_Contact_fk FOREIGN KEY (contactId) REFERENCES Contact (id)
ALTER TABLE Student ADD CONSTRAINT Student_Country_fk FOREIGN KEY (countryOfBirthId) REFERENCES Country (id)
ALTER TABLE Student ADD CONSTRAINT Student_Language_fk FOREIGN KEY (languageId) REFERENCES Language (id)
ALTER TABLE PaymentIn ADD CONSTRAINT PaymentIn_Contact_fk FOREIGN KEY (payerId) REFERENCES Contact (id)
ALTER TABLE PaymentOut ADD CONSTRAINT PaymentOut_Contact_fk FOREIGN KEY (payeeId) REFERENCES Contact (id)
ALTER TABLE Message_Person ADD CONSTRAINT Message_Person_Contact_fk FOREIGN KEY (contactId) REFERENCES Contact (id)

ALTER TABLE CourseClass DROP COLUMN dayOfWeekDescription
DROP INDEX CourseClass_tutorConfirmed ON CourseClass
ALTER TABLE CourseClass DROP COLUMN tutorConfirmed
ALTER TABLE CourseClass DROP COLUMN webAllocation

ALTER TABLE Message_Person DROP CONSTRAINT fk_Message_Person_Student
ALTER TABLE Message_Person DROP COLUMN studentId
DROP INDEX PaymentIn_dateBanked ON PaymentIn
ALTER TABLE PaymentIn DROP COLUMN dateBanked
DROP INDEX Site_postcode ON SITE
ALTER TABLE Site DROP COLUMN postcode
ALTER TABLE Tax DROP COLUMN rate
ALTER TABLE Tutor DROP COLUMN password
ALTER TABLE Tutor DROP COLUMN tfnNew
