ALTER TABLE ConcessionType ADD credentialExpiryDays INTEGER NULL

CREATE TABLE StudentConcession ( authorisationExpiresOn DATETIME, authorisedById BIGINT, authorisedOn DATETIME, concessionNumber VARCHAR(20), concessionTypeId BIGINT NOT NULL, createdOn DATETIME, expiresOn DATETIME, id BIGINT NOT NULL, isDeleted SMALLINT, modifiedOn DATETIME, studentId BIGINT NOT NULL, willowId BIGINT, PRIMARY KEY (id))

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('StudentConcession', 100)

ALTER TABLE StudentConcession ADD CONSTRAINT fk_StudentConcession_Student FOREIGN KEY (studentId) REFERENCES Student (id)
ALTER TABLE StudentConcession ADD CONSTRAINT fk_StudentConcession_ConcessionType FOREIGN KEY (concessionTypeId) REFERENCES ConcessionType (id)

CREATE TABLE Discount_ConcessionType (  createdOn DATETIME, concessionTypeId BIGINT NOT NULL, discountId BIGINT NOT NULL, modifiedOn DATETIME, PRIMARY KEY (concessionTypeId, discountId))

ALTER TABLE Discount_ConcessionType ADD CONSTRAINT fk_Discount_ConcessionType_ConcessionType FOREIGN KEY (concessionTypeId) REFERENCES ConcessionType (id)
ALTER TABLE Discount_ConcessionType ADD CONSTRAINT fk_Discount_ConcessionType_Discount FOREIGN KEY (discountId) REFERENCES Discount (id)
