CREATE TABLE CourseClassTutor (courseClassId BIGINT, createdOn DATETIME, modifiedOn DATETIME, id BIGINT, tutorId BIGINT, willowId BIGINT, confirmedOn DATETIME, type INTEGER)

ALTER TABLE CourseClassTutor ADD tempid BIGINT IDENTITY (1, 1) NOT NULL
ALTER TABLE CourseClassTutor ADD CONSTRAINT pk_CourseClassTutor_tempid PRIMARY KEY (tempid)

INSERT INTO CourseClassTutor (courseClassId , createdOn , modifiedOn , tutorId, willowId , confirmedOn, type) SELECT courseClassId , createdOn , modifiedOn , tutorId, willowId , confirmedOn, type FROM CourseClass_Tutor

UPDATE CourseClassTutor SET id = tempid

ALTER TABLE CourseClassTutor DROP CONSTRAINT pk_CourseClassTutor_tempid
ALTER TABLE CourseClassTutor DROP COLUMN tempid

ALTER TABLE CourseClassTutor ALTER COLUMN id BIGINT NOT NULL
ALTER TABLE CourseClassTutor ADD CONSTRAINT pk_id PRIMARY KEY(id)

INSERT AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) SELECT 'CourseClassTutor' as TABLE_NAME, (1 + (CASE WHEN (SELECT MAX(id) FROM CourseClassTutor) IS NULL THEN 0 ELSE (SELECT MAX(id) FROM CourseClassTutor) END))

DROP TABLE CourseClass_Tutor

CREATE TABLE SessionCourseClassTutor (sessionId BIGINT,courseClassTutorId BIGINT, PRIMARY KEY (sessionId, courseClassTutorId))

INSERT INTO SessionCourseClassTutor (sessionId, courseClassTutorId) SELECT st.sessionId, cct.id from Session_Tutor st join CourseSession s on s.id=st.sessionId join CourseClass cc on cc.id = s.courseClass_Id join CourseClassTutor cct on (cct.courseClassId=cc.id and st.tutorId=cct.tutorId)

DROP TABLE Session_Tutor