# This script creates a unique constraint on the columns (name, userId) of the table Preference. 
# Before that can be done it is necessary to detect all duplicate tupels with the same values in
# (name, userId) and to remove redundant tupels.

DELETE FROM Preference WHERE name IS NULL

GO

CREATE TABLE PreferenceTmp (id BIGINT NOT NULL, name VARCHAR (1000), userId BIGINT, PRIMARY KEY (id))

GO

# The row with the minimum id is the tupel of all the duplicates we finally keep (copied in temporary pref table)
INSERT INTO PreferenceTmp (id, name, userId) SELECT MIN(id), name, userId FROM Preference GROUP BY name, userId HAVING (COUNT(*)>1)

GO

DELETE FROM Preference WHERE EXISTS ( SELECT * FROM PreferenceTmp t WHERE Preference.id <> t.id AND ((Preference.name = t.name AND Preference.userId=t.userId) OR (Preference.name = t.name AND Preference.userId iS NULL AND t.userId IS NULL) OR (Preference.name IS NULL AND t.name IS NULL AND Preference.userId = t.userId)))

GO

DROP TABLE PreferenceTmp

GO

CREATE UNIQUE INDEX Preference_name_user_U ON Preference(name, userId)