CREATE TABLE Certificate (certificateNumber BIGINT, createdOn DATETIME, id BIGINT NOT NULL, isQualification SMALLINT, modifiedOn DATETIME, printedOn DATETIME, qualificationId BIGINT, studentId BIGINT, PRIMARY KEY (id))
CREATE TABLE Certificate_Outcome (certificateId BIGINT NOT NULL, createdOn DATETIME, modifiedOn DATETIME, outcomeId BIGINT NOT NULL, PRIMARY KEY (certificateId, outcomeId))
CREATE TABLE WaitingList_Site (createdOn DATETIME, modifiedOn DATETIME, siteId BIGINT NOT NULL, waitingListId BIGINT NOT NULL, PRIMARY KEY (siteId, waitingListId))


ALTER TABLE Course ADD allowWaitingLists SMALLINT
ALTER TABLE Course ADD fieldOfEducation VARCHAR(6)
ALTER TABLE Course ADD isSufficientForQualification SMALLINT
ALTER TABLE Course ADD printedBrochureDescription TEXT
ALTER TABLE Course ADD nominalHours REAL
ALTER TABLE CourseClass ADD deliveryMode INTEGER
ALTER TABLE CourseClass ADD fundingSource INTEGER
ALTER TABLE Enrolment ADD studyReason INTEGER
ALTER TABLE Module ADD nominalHours REAL
ALTER TABLE Outcome ADD deliveryMode INTEGER
ALTER TABLE PriorLearning ADD qualificationId BIGINT
ALTER TABLE Site ADD countryId BIGINT
ALTER TABLE Category ALTER COLUMN detail TEXT
ALTER TABLE Certificate ADD FOREIGN KEY (qualificationId) REFERENCES Qualification (id)
ALTER TABLE Certificate ADD FOREIGN KEY (studentId) REFERENCES Site (id)
ALTER TABLE Certificate_Outcome ADD FOREIGN KEY (certificateId) REFERENCES Certificate (id)
ALTER TABLE Certificate_Outcome ADD FOREIGN KEY (outcomeId) REFERENCES Outcome (id)
ALTER TABLE PriorLearning ADD FOREIGN KEY (qualificationId) REFERENCES Qualification (id)
ALTER TABLE Site ADD FOREIGN KEY (countryId) REFERENCES Country (id)
ALTER TABLE WaitingList_Site ADD FOREIGN KEY (waitingListId) REFERENCES WaitingList (id)
ALTER TABLE WaitingList_Site ADD FOREIGN KEY (siteId) REFERENCES Site (id)


CREATE INDEX Certificate_isQualification on Certificate(isQualification)
CREATE INDEX Certificate_printedOn on Certificate(printedOn)
CREATE INDEX Certificate_qualificationId on Certificate(qualificationId)
CREATE INDEX Certificate_studentId on Certificate(studentId)
CREATE INDEX Course_allowWaitingLists on Course(allowWaitingLists)
CREATE INDEX Course_fieldOfEducation on Course(fieldOfEducation)
CREATE INDEX Course_isSufficientForQualification on Course(isSufficientForQualification)
CREATE INDEX CourseClass_deliveryMode on CourseClass(deliveryMode)
CREATE INDEX CourseClass_fundingSource on CourseClass(fundingSource)
CREATE INDEX Enrolment_studyReason on Enrolment(studyReason)
CREATE INDEX Module_nominalHours on Module(nominalHours)
CREATE INDEX Outcome_deliveryMode on Outcome(deliveryMode)
CREATE INDEX PriorLearning_qualificationId on PriorLearning(qualificationId)
CREATE INDEX Site_countryId on Site(countryId)


INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Certificate', 200)
