DROP INDEX PromotionalCode_code ON PromotionalCode
DROP INDEX PromotionalCode_expiresOn ON PromotionalCode
DROP INDEX PromotionalCode_willowId ON PromotionalCode

DROP TABLE PromotionalCode_CourseClass
DROP TABLE PromotionalCode

DELETE FROM AUTO_PK_SUPPORT WHERE TABLE_NAME IN ('PromotionalCode')

CREATE TABLE Discount (isCodeRequired SMALLINT, code VARCHAR (20), createdOn DATETIME NOT NULL, discountDollar DECIMAL (10, 2), discountPercent DECIMAL (6, 2), validTo DATETIME, id BIGINT NOT NULL, discountMax DECIMAL (10, 2), discountMin DECIMAL (10, 2), modifiedOn DATETIME NOT NULL, name VARCHAR(500), combinationType INTEGER, publicDescription TEXT (32000), validFrom DATETIME, willowId BIGINT, savedFindId BIGINT, PRIMARY KEY (id))

ALTER TABLE Discount ADD CONSTRAINT fk_Discount_SavedFind FOREIGN KEY (savedFindId) REFERENCES SavedFind (id)

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Discount', 200)

CREATE INDEX Discount_code on Discount(code)
CREATE INDEX Discount_validFrom on Discount(validFrom)
CREATE INDEX Discount_validTo on Discount(validTo)
CREATE INDEX Discount_willowId on Discount(willowId)
CREATE INDEX Discount_savedFindId on Discount(savedFindId)


CREATE TABLE Discount_CourseClass (courseClassId BIGINT NOT NULL, createdOn DATETIME NOT NULL, modifiedOn DATETIME NOT NULL, discountId BIGINT NOT NULL, PRIMARY KEY (courseClassId, discountId))

ALTER TABLE Discount_CourseClass ADD CONSTRAINT fk_DiscountCC_CC FOREIGN KEY (courseClassId) REFERENCES CourseClass (id)
ALTER TABLE Discount_CourseClass ADD CONSTRAINT fk_DiscountCC_Discount FOREIGN KEY (discountId) REFERENCES Discount (id)

CREATE TABLE InvoiceLine_Discount (invoiceLineId BIGINT NOT NULL, createdOn DATETIME NOT NULL, modifiedOn DATETIME NOT NULL, discountId BIGINT NOT NULL, PRIMARY KEY (invoiceLineId, discountId))

ALTER TABLE InvoiceLine_Discount ADD CONSTRAINT fk_InvoiceLD_Discount FOREIGN KEY (discountId) REFERENCES Discount (id)
ALTER TABLE InvoiceLine_Discount ADD CONSTRAINT fk_InvoiceLD_InvoiceL FOREIGN KEY (invoiceLineId) REFERENCES InvoiceLine (id)