ALTER TABLE Student ADD COLUMN contactId BIGINT
ALTER TABLE Tutor ADD COLUMN contactId BIGINT

ALTER TABLE Contact ADD COLUMN isStudent SMALLINT
ALTER TABLE Contact ADD COLUMN isTutor SMALLINT

UPDATE Contact set isStudent = 1 where studentId is not null
UPDATE Contact set isStudent = 0 where studentId is null

UPDATE Contact set isTutor = 1 where tutorId is not null
UPDATE Contact set isTutor = 0 where tutorId is null

UPDATE Student set contactId = (select id from Contact c where c.studentId = Student.id)
UPDATE Tutor set contactId = (select id from Contact c where c.tutorId = Tutor.id)

ALTER TABLE Contact DROP FOREIGN KEY Contact_student_fk
ALTER TABLE Contact DROP FOREIGN KEY Contact_tutor_fk

ALTER TABLE Student ADD CONSTRAINT Student_contact_fk FOREIGN KEY (contactId) REFERENCES Contact (id)
ALTER TABLE Tutor ADD CONSTRAINT Tutor_contact_fk FOREIGN KEY (contactId) REFERENCES Contact (id)

ALTER TABLE Contact DROP COLUMN tutorId
ALTER TABLE Contact DROP COLUMN studentId

