ALTER TABLE Account MODIFY COLUMN createdOn DATETIME NULL
ALTER TABLE Account MODIFY COLUMN modifiedOn DATETIME NULL
ALTER TABLE AccountTransaction MODIFY COLUMN createdOn DATETIME NULL
ALTER TABLE AccountTransaction MODIFY COLUMN modifiedOn DATETIME NULL
ALTER TABLE Discount MODIFY COLUMN createdOn DATETIME NULL
ALTER TABLE Discount MODIFY COLUMN modifiedOn DATETIME NULL
ALTER TABLE Invoice MODIFY COLUMN contactId BIGINT NOT NULL
ALTER TABLE Invoice MODIFY COLUMN createdOn DATETIME NULL
ALTER TABLE Invoice MODIFY COLUMN invoiceNumber BIGINT NOT NULL
ALTER TABLE Invoice MODIFY COLUMN modifiedOn DATETIME NULL
ALTER TABLE InvoiceLine MODIFY COLUMN createdOn DATETIME NULL
ALTER TABLE InvoiceLine MODIFY COLUMN modifiedOn DATETIME NULL
ALTER TABLE PaymentIn MODIFY COLUMN createdOn DATETIME NULL
ALTER TABLE PaymentIn MODIFY COLUMN modifiedOn DATETIME NULL
ALTER TABLE PaymentInLine MODIFY COLUMN createdOn DATETIME NULL
ALTER TABLE PaymentInLine MODIFY COLUMN modifiedOn DATETIME NULL
ALTER TABLE Tax MODIFY COLUMN createdOn DATETIME NULL
ALTER TABLE Tax MODIFY COLUMN isGSTTaxType SMALLINT NOT NULL
ALTER TABLE Tax MODIFY COLUMN modifiedOn DATETIME NULL
ALTER TABLE Tax MODIFY COLUMN payableToSupplierAccountId BIGINT NOT NULL
ALTER TABLE Tax MODIFY COLUMN receivableFromStudentAccountId BIGINT NOT NULL
ALTER TABLE Tax MODIFY COLUMN taxCode VARCHAR(10) NOT NULL

ALTER TABLE ClassCost ADD CONSTRAINT ClassCost_CourseClass_fk FOREIGN KEY (courseClassId) REFERENCES CourseClass (id)
ALTER TABLE ClassCost ADD CONSTRAINT ClassCost_SystemUser_fk FOREIGN KEY (createdByUserId) REFERENCES SystemUser (id)
ALTER TABLE ClassCost ADD CONSTRAINT ClassCost_Tax_fk FOREIGN KEY (taxId) REFERENCES Tax (id)
ALTER TABLE Course ADD CONSTRAINT Course_Qualification_fk FOREIGN KEY (qualificationId) REFERENCES Qualification (id)
ALTER TABLE Invoice ADD CONSTRAINT Invoice_Contact_fk FOREIGN KEY (contactId) REFERENCES Contact (id)
ALTER TABLE Student ADD CONSTRAINT Student_Country_fk FOREIGN KEY (countryOfBirthId) REFERENCES Country (id)
ALTER TABLE Student ADD CONSTRAINT Student_Language_fk FOREIGN KEY (languageId) REFERENCES Language (id)
ALTER TABLE PaymentIn ADD CONSTRAINT PaymentIn_Contact_fk FOREIGN KEY (payerId) REFERENCES Contact (id)
ALTER TABLE PaymentOut ADD CONSTRAINT PaymentOut_Contact_fk FOREIGN KEY (payeeId) REFERENCES Contact (id)
ALTER TABLE Message_Person ADD CONSTRAINT Message_Person_Contact_fk FOREIGN KEY (contactId) REFERENCES Contact (id)

ALTER TABLE CourseClass DROP COLUMN dayOfWeekDescription
ALTER TABLE CourseClass DROP COLUMN tutorConfirmed
ALTER TABLE CourseClass DROP COLUMN webAllocation

ALTER TABLE Message_Person DROP FOREIGN KEY fk_Message_Person_Student
ALTER TABLE Message_Person DROP COLUMN studentId
ALTER TABLE PaymentIn DROP COLUMN dateBanked
ALTER TABLE Site DROP COLUMN postcode
ALTER TABLE Tax DROP COLUMN rate
ALTER TABLE Tutor DROP COLUMN password
ALTER TABLE Tutor DROP COLUMN tfnNew
