CREATE TABLE Product (SKU VARCHAR (100), createdOn DATETIME, description TEXT (32000), expiryDays INTEGER, expiryType INTEGER, id BIGINT NOT NULL, incomeAccountId BIGINT, isDeleted SMALLINT, isOnSale SMALLINT, isWebVisible SMALLINT, liabilityAccountId BIGINT, modifiedOn DATETIME, name VARCHAR (500), notes TEXT (32000), priceExTax DECIMAL (10, 2), taxId BIGINT, type INTEGER, value DECIMAL (10, 2), weight DECIMAL (10, 2), willowId BIGINT, PRIMARY KEY (id))

CREATE TABLE Discount_Product (createdOn DATETIME, discountId BIGINT NOT NULL, modifiedOn DATETIME, productId BIGINT NOT NULL, PRIMARY KEY (discountId, productId))

CREATE TABLE Discount_MembershipProduct    (createdOn DATETIME, discountId BIGINT NOT NULL, membershipProductId BIGINT NOT NULL, modifiedOn DATETIME, PRIMARY KEY (discountId, membershipProductId))

CREATE TABLE ProductItem (contactId BIGINT, createdOn DATETIME, expiryDate DATETIME, id BIGINT NOT NULL, invoiceLineId BIGINT, isDeleted SMALLINT, idKey VARCHAR (50), modifiedOn DATETIME, productId BIGINT, redeemedInvoiceLineId BIGINT,type INTEGER,  willowId BIGINT, PRIMARY KEY (id))


ALTER TABLE Product ADD CONSTRAINT fk_Product_incomeAccount FOREIGN KEY (incomeAccountId) REFERENCES Account (id)
ALTER TABLE Product ADD CONSTRAINT fk_Product_liabilityAccount FOREIGN KEY (liabilityAccountId) REFERENCES Account (id)
ALTER TABLE Product ADD CONSTRAINT fk_Product_Tax FOREIGN KEY (taxId) REFERENCES Tax (id)

ALTER TABLE Discount_Product ADD CONSTRAINT fk_Discount_Product_Discount FOREIGN KEY (discountId) REFERENCES Discount (id)
ALTER TABLE Discount_Product ADD CONSTRAINT fk_Discount_Product_Product FOREIGN KEY (productId) REFERENCES Product (id)

ALTER TABLE Discount_MembershipProduct ADD CONSTRAINT fk_Discount_MembershipProduct_Discount FOREIGN KEY (discountId) REFERENCES Discount (id)
ALTER TABLE Discount_MembershipProduct ADD CONSTRAINT fk_Discount_MembershipProduct_Product FOREIGN KEY (membershipProductId) REFERENCES Product (id)

ALTER TABLE ProductItem ADD CONSTRAINT fk_ProductItem_Contact FOREIGN KEY (contactId) REFERENCES Contact (id)
ALTER TABLE ProductItem ADD CONSTRAINT fk_ProductItem_InvoiceLine FOREIGN KEY (invoiceLineId) REFERENCES InvoiceLine (id)
ALTER TABLE ProductItem ADD CONSTRAINT fk_ProductItem_Product FOREIGN KEY (productId) REFERENCES Product (id)
ALTER TABLE ProductItem ADD CONSTRAINT fk_ProductItem_redeemedInvoiceLine FOREIGN KEY (redeemedInvoiceLineId) REFERENCES InvoiceLine (id)


INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Discount_MembershipProduct', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Discount_Product', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Product', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('ProductItem', 200)

