CREATE TABLE Payslip (contactId BIGINT, createdOn DATETIME, notes TEXT, id BIGINT NOT NULL, isLocked SMALLINT, modifiedOn DATETIME, payPeriodId BIGINT, PRIMARY KEY (id))

CREATE TABLE PayLine (classCostId BIGINT, createdOn DATETIME, description VARCHAR (5000), id BIGINT NOT NULL, modifiedOn DATETIME, payslipId BIGINT NOT NULL, quantity DECIMAL (10,2), value DECIMAL (10,2), PRIMARY KEY (id))

CREATE TABLE PayPeriod (createdOn DATETIME, endDate DATETIME, id BIGINT NOT NULL, modifiedOn DATETIME, name VARCHAR (1000), startDate DATETIME, PRIMARY KEY (id))

ALTER TABLE ClassCost ADD contactId BIGINT

ALTER TABLE PaymentInLine ADD payslipId BIGINT
ALTER TABLE PaymentOutLine ADD payslipId BIGINT

ALTER TABLE Payslip ADD CONSTRAINT fk_Payslip_contact FOREIGN KEY (contactId) REFERENCES Contact (id)
ALTER TABLE Payslip ADD CONSTRAINT fk_Payslip_payperiod FOREIGN KEY (payPeriodId) REFERENCES PayPeriod (id)

ALTER TABLE PayLine ADD CONSTRAINT fk_PayLine_classCost FOREIGN KEY (classCostId) REFERENCES ClassCost (id)
ALTER TABLE PayLine ADD CONSTRAINT fk_PayLine_payslip FOREIGN KEY (payslipId) REFERENCES Payslip (id)

ALTER TABLE ClassCost ADD CONSTRAINT fk_ClassCost_contact FOREIGN KEY (contactId) REFERENCES Contact (id)

ALTER TABLE PaymentInLine ADD CONSTRAINT fk_PaymentInLine_payslip FOREIGN KEY (payslipId) REFERENCES Payslip (id)
ALTER TABLE PaymentOutLine ADD CONSTRAINT fk_PaymentOutLine_payslip FOREIGN KEY (payslipId) REFERENCES Payslip (id)

INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PayPeriod', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('PayLine', 200)
INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Payslip', 200)

