# This script creates a unique constraint on the columns (name, userId) of the table Preference. 
# Before that can be done it is necessary to detect all duplicate tupels with the same values in
# (name, userId) and to remove redundant tupels.

DELETE FROM Preference WHERE name IS NULL

#
# task 2000. Index too long for mysql when name is VARCHAR(1000).
# and none of our prefs are named that long anyway.
# Im making the name not null too
#
ALTER TABLE Preference MODIFY name VARCHAR(128) NOT NULL

CREATE TABLE PreferenceTmp (id BIGINT NOT NULL, name VARCHAR (128) NOT NULL, userId BIGINT, PRIMARY KEY (id))

# The row with the minimum id is the tupel of all the duplicates we finally keep (copied in temporary pref table)
INSERT INTO PreferenceTmp (id, name, userId) SELECT MIN(id), name, userId FROM Preference GROUP BY name, userId HAVING (COUNT(*)>1)

DELETE Preference.* FROM Preference INNER JOIN PreferenceTmp ON Preference.id = PreferenceTmp.id


DROP TABLE PreferenceTmp

CREATE UNIQUE INDEX Preference_name_user_U ON Preference(name, userId)
