CREATE TABLE Certificate (certificateNumber BIGINT, createdOn DATETIME, id BIGINT NOT NULL, isQualification SMALLINT, modifiedOn DATETIME, printedOn DATETIME, qualificationId BIGINT, studentId BIGINT, PRIMARY KEY (id))
CREATE TABLE Certificate_Outcome (certificateId BIGINT NOT NULL, createdOn DATETIME, modifiedOn DATETIME, outcomeId BIGINT NOT NULL, PRIMARY KEY (certificateId, outcomeId))
CREATE TABLE WaitingList_Site (createdOn DATETIME, modifiedOn DATETIME, siteId BIGINT NOT NULL, waitingListId BIGINT NOT NULL, PRIMARY KEY (siteId, waitingListId))


ALTER TABLE Course ADD COLUMN allowWaitingLists SMALLINT
ALTER TABLE Course ADD COLUMN fieldOfEducation VARCHAR(6)
ALTER TABLE Course ADD COLUMN isSufficientForQualification SMALLINT
ALTER TABLE Course ADD COLUMN printedBrochureDescription TEXT(32000)
ALTER TABLE Course ADD COLUMN nominalHours REAL
ALTER TABLE CourseClass ADD COLUMN deliveryMode INTEGER
ALTER TABLE CourseClass ADD COLUMN fundingSource INTEGER
ALTER TABLE Enrolment ADD COLUMN studyReason INTEGER
ALTER TABLE Module ADD COLUMN nominalHours REAL
ALTER TABLE Outcome ADD COLUMN deliveryMode INTEGER
ALTER TABLE PriorLearning ADD COLUMN qualificationId BIGINT
ALTER TABLE Site ADD COLUMN countryId BIGINT
ALTER TABLE Category MODIFY detail TEXT(32000)
ALTER TABLE Certificate ADD CONSTRAINT fk_Cert_Qual FOREIGN KEY (qualificationId) REFERENCES Qualification (id)
ALTER TABLE Certificate ADD CONSTRAINT fk_Cert_Site FOREIGN KEY (studentId) REFERENCES Site (id)
ALTER TABLE Certificate_Outcome ADD CONSTRAINT fk_CertOutcome_Cert FOREIGN KEY (certificateId) REFERENCES Certificate (id)
ALTER TABLE Certificate_Outcome ADD CONSTRAINT fk_CertOutcome_Outcome FOREIGN KEY (outcomeId) REFERENCES Outcome (id)
ALTER TABLE PriorLearning ADD CONSTRAINT fk_PriorLern_Qual FOREIGN KEY (qualificationId) REFERENCES Qualification (id)
ALTER TABLE Site ADD CONSTRAINT fk_Site_Country FOREIGN KEY (countryId) REFERENCES Country (id)
ALTER TABLE WaitingList_Site ADD CONSTRAINT fk_WaitListSite_WaitList FOREIGN KEY (waitingListId) REFERENCES WaitingList (id)
ALTER TABLE WaitingList_Site ADD CONSTRAINT fk_WaitListSite_site FOREIGN KEY (siteId) REFERENCES Site (id)


CREATE INDEX Certificate_isQualification on Certificate(isQualification)
CREATE INDEX Certificate_printedOn on Certificate(printedOn)
CREATE INDEX Certificate_qualificationId on Certificate(qualificationId)
CREATE INDEX Certificate_studentId on Certificate(studentId)
CREATE INDEX Course_allowWaitingLists on Course(allowWaitingLists)
CREATE INDEX Course_fieldOfEducation on Course(fieldOfEducation)
CREATE INDEX Course_isSufficientForQualification on Course(isSufficientForQualification)
CREATE INDEX CourseClass_deliveryMode on CourseClass(deliveryMode)
CREATE INDEX CourseClass_fundingSource on CourseClass(fundingSource)
CREATE INDEX Enrolment_studyReason on Enrolment(studyReason)
CREATE INDEX Module_nominalHours on Module(nominalHours)
CREATE INDEX Outcome_deliveryMode on Outcome(deliveryMode)
CREATE INDEX PriorLearning_qualificationId on PriorLearning(qualificationId)
CREATE INDEX Site_countryId on Site(countryId)


INSERT INTO AUTO_PK_SUPPORT (TABLE_NAME, NEXT_ID) VALUES ('Certificate', 200)
