<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ish="http://www.ish.com.au/schema/2009/onCourseTransform"
	xmlns="http://www.ish.com.au/schema/2009/onCourseData"
	xpath-default-namespace="http://www.ish.com.au/schema/2009/onCourseData"
	xsi:schemaLocation="http://www.ish.com.au/schema/2009/onCourseTransform http://www.ish.com.au/schema/2009/onCourseTransform.xsd"
	exclude-result-prefixes="xsi ish"
	version="2.0"
	>
	<xsl:output method="text" encoding="UTF-8" indent="yes" />

<ish:onCourse>
	<ish:name>CSV</ish:name>
	<ish:entity>Certificate</ish:entity>
	<ish:version>0</ish:version>
	<ish:keyCode>ish.onCourse.certificateCsv</ish:keyCode>
</ish:onCourse>

<xsl:template match="data">
<xsl:text>studentFirstName,studentLastName,certificateNumber,fullQualification,printed,modifiedOn,createdOn,revokedOn,privateNotes,publicNotes,studentIsMale,studentIsCompany,studentCreatedOn,studentModifiedOn,studentAllowEmail,studentAllowPost,studentAllowSms,studentBirthDate,studentDeliveryStatusEmail,studentDeliveryStatusPost,studentDeliveryStatusSms,studentHomePhone,studentWorkPhone,studentMobilePhone,studentStreet,studentPostcode,studentSuburb,studentState,studentWebPassword,studentUniqueCode,studentIsStudent,studentIsTutor,studentNotes,studentEmail,studentFax,studentMessage,studentTfn,studentAbn,studentNumber,studentDisabilityType,studentEnglishProfociency,studentHighestSchoolLevel,studentIndigenousStatus,studentIsOverseasClient,studentIsStillAtSchool,studentLabourForceStatus,studentPriorEducation,studentConcessionNumberObsolete,studentConcessionTypeObsolete,studentSpecialNeeds,studentYearSchoolCompleted&#xa;</xsl:text>

<xsl:for-each select="certificate">
		<xsl:text>"</xsl:text>

		<xsl:value-of select="studentFirstName"/><xsl:text>","</xsl:text>
		<xsl:value-of select="studentLastName"/><xsl:text>","</xsl:text>		
		<xsl:value-of select="certificateNumber"/><xsl:text>","</xsl:text>
		<xsl:value-of select="fullQualification"/><xsl:text>","</xsl:text>		
		<xsl:value-of select="printed"/><xsl:text>","</xsl:text>
		<xsl:value-of select="modifiedOn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="createdOn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="revokedOn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="privateNotes"/><xsl:text>","</xsl:text>
		<xsl:value-of select="publicNotes"/><xsl:text>","</xsl:text>

		<xsl:apply-templates select="contact"/>

</xsl:for-each>
</xsl:template>

<xsl:template match="contact">
		<xsl:variable name="contactID" select="@id"/>
		<xsl:value-of select="/data/contact[@id=$contactID]/male"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/company"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/createdOn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/modifiedOn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/allowEmail"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/allowPost"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/allowSms"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/birthDate"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/deliveryStatusEmail"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/deliveryStatusPost"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/deliveryStatusSms"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/homePhone"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/workPhone"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/mobilePhone"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/street"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/postcode"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/suburb"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/state"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/webPassword"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/uniqueCode"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/isTutor"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/notes"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/email"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/fax"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/message"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/tfn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/abn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/studentNumber"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/disabilityType"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/englishProficiency"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/highestSchoolLevel"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/indigenousStatus"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/isOverseasClient"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/isStillAtSchool"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/labourForceStatus"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/priorEducationCode"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/concessionNumberObsolete"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/concessionTypeObsolete"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/specialNeeds"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/student/yearSchoolCompleted"/><xsl:text>","</xsl:text>
</xsl:template>




</xsl:stylesheet>