<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ish="http://www.ish.com.au/schema/2009/onCourseTransform"
	xmlns="http://www.ish.com.au/schema/2009/onCourseData"
	xpath-default-namespace="http://www.ish.com.au/schema/2009/onCourseData"
	xsi:schemaLocation="http://www.ish.com.au/schema/2009/onCourseTransform http://www.ish.com.au/schema/2009/onCourseTransform.xsd"
	exclude-result-prefixes="xsi ish"
	version="2.0"
	>
	<xsl:output method="text" encoding="UTF-8" indent="yes" />

<ish:onCourse>
	<ish:name>CSV</ish:name>
	<ish:entity>Contact</ish:entity>
	<ish:version>1</ish:version>
	<ish:keyCode>ish.onCourse.contactCsv</ish:keyCode>
</ish:onCourse>

<xsl:template match="data">
<xsl:text>lastName,firstName,male,company,createdOn,modifiedOn,allowEmail,allowPost,allowSms,birthDate,deliveryStatusEmail,deliveryStatusPost,deliveryStatusSms,homePhone,workPhone,mobilePhone,street,postcode,suburb,state,webPassword,uniqueCode,isStudent,isTutor,notes,email,fax,message,tfn,abn,studentNumber,studentDisabilityType,studentEnglishProfociency,studentHighestSchoolLevel,studentIndigenousStatus,studentIsOverseasClient,studentIsStillAtSchool,studentLabourForceStatus,studentPriorEducation,studentConcessionNumberObsolete,studentConcessionTypeObsolete,studentSpecialNeeds,studentYearSchoolCompleted,tutorCompanyName,tutorDateStarted,tutorDateFinished,tutorResume&#xa;</xsl:text>
<xsl:for-each select="contact">
		<xsl:text>"</xsl:text>
		<xsl:value-of select="lastName"/><xsl:text>","</xsl:text>
		<xsl:value-of select="firstName"/><xsl:text>","</xsl:text>
		<xsl:value-of select="male"/><xsl:text>","</xsl:text>
		<xsl:value-of select="company"/><xsl:text>","</xsl:text>
		<xsl:value-of select="createdOn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="modifiedOn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="allowEmail"/><xsl:text>","</xsl:text>
		<xsl:value-of select="allowPost"/><xsl:text>","</xsl:text>
		<xsl:value-of select="allowSms"/><xsl:text>","</xsl:text>
		<xsl:value-of select="birthDate"/><xsl:text>","</xsl:text>
		<xsl:value-of select="deliveryStatusEmail"/><xsl:text>","</xsl:text>
		<xsl:value-of select="deliveryStatusPost"/><xsl:text>","</xsl:text>
		<xsl:value-of select="deliveryStatusSms"/><xsl:text>","</xsl:text>
		<xsl:value-of select="homePhone"/><xsl:text>","</xsl:text>
		<xsl:value-of select="workPhone"/><xsl:text>","</xsl:text>
		<xsl:value-of select="mobilePhone"/><xsl:text>","</xsl:text>
		<xsl:value-of select="street"/><xsl:text>","</xsl:text>
		<xsl:value-of select="postcode"/><xsl:text>","</xsl:text>
		<xsl:value-of select="suburb"/><xsl:text>","</xsl:text>
		<xsl:value-of select="state"/><xsl:text>","</xsl:text>
		<xsl:value-of select="webPassword"/><xsl:text>","</xsl:text>
		<xsl:value-of select="uniqueCode"/><xsl:text>","</xsl:text>
		<xsl:value-of select="isStudent"/><xsl:text>","</xsl:text>
		<xsl:value-of select="isTutor"/><xsl:text>","</xsl:text>
		<xsl:value-of select="notes"/><xsl:text>","</xsl:text>
		<xsl:value-of select="email"/><xsl:text>","</xsl:text>
		<xsl:value-of select="fax"/><xsl:text>","</xsl:text>
		<xsl:value-of select="message"/><xsl:text>","</xsl:text>
		<xsl:value-of select="tfn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="abn"/><xsl:text>","</xsl:text>

		<xsl:value-of select="student/studentNumber"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/disabilityType"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/englishProficiency"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/highestSchoolLevel"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/indigenousStatus"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/isOverseasClient"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/isStillAtSchool"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/labourForceStatus"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/priorEducationCode"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/concessionNumberObsolete"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/concessionTypeObsolete"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/specialNeeds"/><xsl:text>","</xsl:text>
		<xsl:value-of select="student/yearSchoolCompleted"/><xsl:text>","</xsl:text>

		<xsl:value-of select="tutor/companyName"/><xsl:text>","</xsl:text>
		<xsl:value-of select="tutor/dateStarted"/><xsl:text>","</xsl:text>
		<xsl:value-of select="tutor/dateFinished"/><xsl:text>","</xsl:text>
		<xsl:value-of select="tutor/resume"/>
		<xsl:text>"&#xa;</xsl:text>		
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>