<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ish="http://www.ish.com.au/schema/2009/onCourseTransform"
	xmlns="http://www.ish.com.au/schema/2009/onCourseData"
	xpath-default-namespace="http://www.ish.com.au/schema/2009/onCourseData"
	xsi:schemaLocation="http://www.ish.com.au/schema/2009/onCourseTransform http://www.ish.com.au/schema/2009/onCourseTransform.xsd"
	exclude-result-prefixes="xsi ish"
	version="3.0"
	>
	<xsl:output method="text" encoding="UTF-8" indent="yes" />

<ish:onCourse>
	<ish:name>CSV</ish:name>
	<ish:entity>CourseClass</ish:entity>
	<ish:version>1</ish:version>
	<ish:keyCode>ish.onCourse.courseClassCsv</ish:keyCode>
</ish:onCourse>

<xsl:template match="data">
<xsl:text>code,budgetedPlaces,createdOn,modifiedOn,deliveryMode,startDateTime,endDateTime,isCancelled,fundingSource,isDistantLearningCourse,isWebVisible,maximumPlaces,minimumPlaces,notes,detBookingId,message,reportableHours,priceAmount,priceTaxAmount,PriceTaxName,priceDiscountAmount,roomName,roomSiteName,roomSiteStreet,roomSiteState,roomSitePostcode,roomSiteSuburb,courseCode,courseName,courseCreatedOn,courseModifiedOn,courseCurrentlyOffered,courseFieldOfEducation,courseIsWebVisible,courseIsVET,courseReportableHours,courseWebDescription,courseAllowWaitingLists,courseIsShownOnWeb,courseIsSufficientForQualification,coursePrintedBrochureDescription&#xa;</xsl:text>
<xsl:for-each select="course">
      <xsl:for-each select="class">
		<xsl:text>"</xsl:text>
		<xsl:value-of select="code"/><xsl:text>","</xsl:text>
        <xsl:value-of select="budgetedPlaces"/><xsl:text>","</xsl:text>
        <xsl:value-of select="createdOn"/><xsl:text>","</xsl:text>
        <xsl:value-of select="modifiedOn"/><xsl:text>","</xsl:text>
        <xsl:value-of select="deliveryMode"/><xsl:text>","</xsl:text>
        <xsl:value-of select="startDateTime"/><xsl:text>","</xsl:text>
        <xsl:value-of select="endDateTime"/><xsl:text>","</xsl:text>
        <xsl:value-of select="isCancelled"/><xsl:text>","</xsl:text>
		<xsl:value-of select="fundingSource"/><xsl:text>","</xsl:text>
        <xsl:value-of select="isDistantLearningCourse"/><xsl:text>","</xsl:text>
		<xsl:value-of select="isWebVisible"/><xsl:text>","</xsl:text>
		<xsl:value-of select="maximumPlaces"/><xsl:text>","</xsl:text>
		<xsl:value-of select="minimumPlaces"/><xsl:text>","</xsl:text>
		<xsl:value-of select="notes"/><xsl:text>","</xsl:text>
		<xsl:value-of select="detBookingId"/><xsl:text>","</xsl:text>
		<xsl:value-of select="message"/><xsl:text>","</xsl:text>
		<xsl:value-of select="reportableHours"/><xsl:text>","</xsl:text>
	
		<xsl:value-of select="price[1]/amount"/><xsl:text>","</xsl:text>
		<xsl:value-of select="price[1]/taxAmount"/><xsl:text>","</xsl:text>
		<xsl:value-of select="price[1]/taxName"/><xsl:text>","</xsl:text>
		<xsl:value-of select="price[1]/discountAmount"/><xsl:text>","</xsl:text>

		<xsl:apply-templates select="room"/>

		<xsl:value-of select="../code"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../name"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../createdOn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../modifiedOn"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../currentlyOffered"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../fieldOfEducation"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../isWebVisible"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../isVET"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../reportableHours"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../webDescription"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../allowWaitingLists"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../isShownOnWeb"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../isSufficientForQualification"/><xsl:text>","</xsl:text>
		<xsl:value-of select="../printedBrochureDescription"/>
		<xsl:text>"&#xa;</xsl:text>		
	</xsl:for-each>
</xsl:for-each>
</xsl:template>


<xsl:template match="room">
	<Site>
		<xsl:variable name="roomID" select="@id"/>
		<xsl:value-of select="/data/site/room[@id=$roomID]/name"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/site/room[@id=$roomID]/../name"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/site/room[@id=$roomID]/../street"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/site/room[@id=$roomID]/../state"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/site/room[@id=$roomID]/../postcode"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/site/room[@id=$roomID]/../suburb"/><xsl:text>","</xsl:text>
	</Site>
</xsl:template>

</xsl:stylesheet>