<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ish="http://www.ish.com.au/schema/2009/onCourseTransform"
	xmlns="http://www.ish.com.au/schema/2009/onCourseData"
	xpath-default-namespace="http://www.ish.com.au/schema/2009/onCourseData"
	xsi:schemaLocation="http://www.ish.com.au/schema/2009/onCourseTransform http://www.ish.com.au/schema/2009/onCourseTransform.xsd"
	exclude-result-prefixes="xsi ish"
	version="2.0"
	>
	<xsl:output method="text" encoding="UTF-8" indent="yes" />

<ish:onCourse>
	<ish:name>CSV</ish:name>
	<ish:entity>PaymentOut</ish:entity>
	<ish:version>2</ish:version>
	<ish:keyCode>ish.onCourse.paymentOutCsv</ish:keyCode>
</ish:onCourse>

<xsl:template match="data">
<xsl:text>id,payeeLastName,payeeFirstName,payeeEmail,modifiedOn,createdOn,amount,dateBanked,reconciled,status,type,creditCardCVV,creditCardExpiry,creditCardName,creditCardNumber,creditCardType,gatewayReference,chequeBank,chequeBranch,chequeDrawer,privateNotes&#xa;</xsl:text>
<xsl:for-each select="paymentOut">
		<xsl:text>"</xsl:text>
		<xsl:value-of select="@id"/><xsl:text>","</xsl:text>
		
		<xsl:apply-templates select="contact"/>
		
		<xsl:value-of select="modifiedOn"/><xsl:text>","</xsl:text>
        <xsl:value-of select="createdOn"/><xsl:text>","</xsl:text>
        <xsl:value-of select="amount"/><xsl:text>","</xsl:text>
        <xsl:value-of select="dateBanked"/><xsl:text>","</xsl:text>
        <xsl:value-of select="reconciled"/><xsl:text>","</xsl:text>
        <xsl:value-of select="status"/><xsl:text>","</xsl:text>
        <xsl:value-of select="type"/><xsl:text>","</xsl:text>

        <xsl:value-of select="creditCardCVV"/><xsl:text>","</xsl:text>
		<xsl:value-of select="creditCardExpiry"/><xsl:text>","</xsl:text>
        <xsl:value-of select="creditCardName"/><xsl:text>","</xsl:text>
		<xsl:value-of select="creditCardNumber"/><xsl:text>","</xsl:text>
		<xsl:value-of select="creditCardType"/><xsl:text>","</xsl:text>	

	    <xsl:value-of select="gatewayReference"/><xsl:text>","</xsl:text>
		<xsl:value-of select="chequeBank"/><xsl:text>","</xsl:text>
        <xsl:value-of select="chequeBranch"/><xsl:text>","</xsl:text>
		<xsl:value-of select="chequeDrawer"/><xsl:text>","</xsl:text>		
		<xsl:value-of select="privateNotes"/><xsl:text>"&#xa;</xsl:text>	

</xsl:for-each>
</xsl:template>

<xsl:template match="contact">
	<xsl:variable name="contactID" select="@id"/>
	<xsl:value-of select="/data/contact[@id=$contactID]/lastName"/><xsl:text>","</xsl:text>
	<xsl:value-of select="/data/contact[@id=$contactID]/firstName"/><xsl:text>","</xsl:text>
	<xsl:value-of select="/data/contact[@id=$contactID]/email"/><xsl:text>","</xsl:text>
</xsl:template>

</xsl:stylesheet>
