<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ish="http://www.ish.com.au/schema/2009/onCourseTransform"
	xmlns="http://www.ish.com.au/schema/2009/onCourseData"
	xpath-default-namespace="http://www.ish.com.au/schema/2009/onCourseData"
	xsi:schemaLocation="http://www.ish.com.au/schema/2009/onCourseTransform http://www.ish.com.au/schema/2009/onCourseTransform.xsd"
	exclude-result-prefixes="xsi ish"
	version="2.0"
	>
	<xsl:output method="text" encoding="UTF-8" indent="yes" />

<ish:onCourse>
	<ish:name>CSV</ish:name>
	<ish:entity>Payslip</ish:entity>
	<ish:version>7</ish:version>
	<ish:keyCode>ish.onCourse.payslipCsv</ish:keyCode>
</ish:onCourse>

<xsl:template match="data">
<xsl:text>createdOn,modifiedOn,dateFor,description,quantity,taxValue,value,payslipmodifiedOn,payslipCreatedOn,payslipStatus,contactName,contactStreet,contactState,contactPostcode,contactSuburb&#xa;</xsl:text>
<xsl:for-each select="payslip">
	<xsl:for-each select="payline">
		<xsl:text>"</xsl:text>
	<xsl:value-of select="createdOn"/><xsl:text>","</xsl:text>		
	<xsl:value-of select="modifiedOn"/><xsl:text>","</xsl:text>
	<xsl:value-of select="dateFor"/><xsl:text>","</xsl:text>
	<xsl:value-of select="description"/><xsl:text>","</xsl:text>
	<xsl:value-of select="quantity"/><xsl:text>","</xsl:text>
	<xsl:value-of select="taxValue"/><xsl:text>","</xsl:text>
	<xsl:value-of select="value"/><xsl:text>","</xsl:text>

	<xsl:value-of select="../modifiedOn"/><xsl:text>","</xsl:text>
    <xsl:value-of select="../createdOn"/><xsl:text>","</xsl:text>
    <xsl:value-of select="../status"/><xsl:text>","</xsl:text>
	
	<xsl:apply-templates select="../contact"/>
	</xsl:for-each>

</xsl:for-each>
</xsl:template>

<xsl:template match="contact">
	<Site>
		<xsl:variable name="contactID" select="@id"/>
		<xsl:value-of select="/data/contact[@id=$contactID]/firstName"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/lastName"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/street"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/state"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/postcode"/><xsl:text>","</xsl:text>
		<xsl:value-of select="/data/contact[@id=$contactID]/suburb"/><xsl:text>","</xsl:text>
	</Site>
</xsl:template>

</xsl:stylesheet>